2008-11-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/include/types.h:
	include stdint.h for compiling with GCC 4.4

2008-11-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* build_mingw32:
	improved CFLAGS and CXXFLAGS

	* ima/src/client.cpp:
	allow remote login without password

	* lib/src/local_system.cpp:
	fixed registry setting for personal configuration directory and
	personal configuration file (closes #2006515)

2008-11-05	James Mitchell <james_mitchell/at/user/dot/sourceforge/dot/net>

	* ima/src/classroom_manager.cpp:
	* ima/src/classroom_manager.h:
	* ima/src/client.cpp:
	* ima/src/main_window.cpp:
	Implemented Toggle Autoview

2008-10-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/system_service.cpp:
	* ica/src/system_service.h:
	* ica/src/local_system_ica.cpp:
	* lib/include/local_system.h:
	* lib/src/local_system.cpp:
	applied patch by James Mitchell <James.P.Mitchell@education.nsw.gov.au>
	for improved username detection on win32

2008-07-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.9 release

	* ica/ica.rc.in:
	* setup/setup.rc.in:
	* ima/italc.rc.in:
	fixed version-information (closes #2025199)

	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	moved cursor-position queries to demoServer - workaround for an
	unknown bug in Qt 4.4 (closes #1994549, #2006526, #2015845)

	* lib/src/isd_base.cpp:
	use QTcpSocket::waitForBytesWritten() rather than flush()

	* lib/src/local_system.cpp:
	initialize LZO-library on startup

	* lib/src/messagebox.cpp:
	fixed compiler warning

2008-07-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.9-rc4 release

	* ica/src/isd_server.cpp:
	win32: run processes with rights of logged on user

	* lib/src/local_system.cpp:
	win32: tried better way for logging on user but had no success

	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	use QTimer-objects instead of QTimer::singleShot() as Qt 4.4.0 crashes
	quite often otherwise (for whatever reason)

	* utils-win32/Makefile.am:
	* utils-win32/userinfo.cpp:
	removed obsolete files

	* build_mingw32:
	-fno-strict-aliasing is not neccessary anymore with GCC 4.3

	* ima/src/main.cpp:
	if custom ISD-port is used, apply at startup

	* ica/x11/x11vnc/inet.c:
	renamed deprecated member-variable as it's been reverted on 2008-06-24

2008-06-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	do not call client::update() outside of GUI-thread - fixes crashes of
	master

2008-06-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/ivs.cpp:
	* ica/x11/x11vnc/userinput.c:
	* ica/x11/x11vnc/inet.c:
	* ica/x11/x11vnc/options.h:
	* ica/x11/x11vnc/xinerama.c:
	* ica/x11/x11vnc/user.c:
	* ica/x11/x11vnc/8to24.c:
	* ica/x11/x11vnc/connections.c:
	* ica/x11/x11vnc/cursor.c:
	* ica/x11/x11vnc/x11vnc_defs.c:
	* ica/x11/x11vnc/tkx11vnc.h:
	* ica/x11/x11vnc/scan.c:
	* ica/x11/x11vnc/gui.c:
	* ica/x11/x11vnc/selection.c:
	* ica/x11/x11vnc/unixpw.c:
	* ica/x11/x11vnc/screen.c:
	* ica/x11/x11vnc/x11vnc.c:
	* ica/x11/x11vnc/ssltools.h:
	* ica/x11/x11vnc/sslhelper.c:
	* ica/x11/x11vnc/help.c:
	* ica/x11/x11vnc/options.c:
	* ica/x11/libvncserver/stats.c:
	* ica/x11/libvncserver/rfbregion.c:
	* ica/x11/libvncserver/zywrletemplate.c:
	* ica/x11/libvncserver/rfbserver.c:
	- integrated latest x11vnc-version which fixes ICA-crahes when
	  disconnecting in certain situations
	- disabled x11vnc-debug-console per default

2008-06-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/isd_server.cpp:
	* ima/src/main.cpp:
	* ima/src/main_window.cpp:
	* ima/italc.1:
	applied patch by Stephane Graber <stgraber/at/gmail/dot/com> which
	adds -isdhost option in order to connect to local ISD's in
	TC-environments

2008-06-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/cs.qm:
	* ica/resources/pt_br.qm:
	* ica/resources/fi.ts:
	* ica/resources/fr.qm:
	* ica/resources/es.qm:
	* ica/resources/nn.qm:
	* ica/resources/pl.qm:
	* ica/resources/it.qm:
	* ica/resources/cs.ts:
	* ica/resources/sl.qm:
	* ica/resources/uk.qm:
	* ica/resources/pt_br.ts:
	* ica/resources/es.ts:
	* ica/resources/fr.ts:
	* ica/resources/zh.qm:
	* ica/resources/nn.ts:
	* ica/resources/pl.ts:
	* ica/resources/it.ts:
	* ica/resources/ru.qm:
	* ica/resources/sl.ts:
	* ica/resources/uk.ts:
	* ica/resources/zh.ts:
	* ica/resources/fi.qm:
	* ica/resources/ru.ts:
	* ica/resources/el.qm:
	* setup/resources/fr.qm:
	* setup/resources/fi.ts:
	* setup/resources/nn.qm:
	* setup/resources/pl.qm:
	* setup/resources/sl.qm:
	* setup/resources/cs.ts:
	* setup/resources/pt_br.ts:
	* setup/resources/zh.qm:
	* setup/resources/sk.ts:
	* setup/resources/uk.ts:
	* setup/resources/fi.qm:
	* setup/resources/ru.ts:
	* setup/resources/cs.qm:
	* setup/resources/pt_br.qm:
	* setup/resources/el.ts:
	* setup/resources/uk.qm:
	* setup/resources/fr.ts:
	* setup/resources/nn.ts:
	* setup/resources/pl.ts:
	* setup/resources/it.ts:
	* setup/resources/ru.qm:
	* setup/resources/sl.ts:
	* setup/resources/zh.ts:
	* setup/resources/el.qm:
	* ima/resources/pl.qm:
	* ima/resources/it.qm:
	* ima/resources/cs.ts:
	* ima/resources/sl.qm:
	* ima/resources/es.ts:
	* ima/resources/zh.qm:
	* ima/resources/sk.ts:
	* ima/resources/uk.ts:
	* ima/resources/cs.qm:
	* ima/resources/es.qm:
	* ima/resources/sk.qm:
	* ima/resources/uk.qm:
	* ima/resources/fr.ts:
	* ima/resources/nn.ts:
	* ima/resources/de.ts:
	* ima/resources/fi.ts:
	* ima/resources/fr.qm:
	* ima/resources/nn.qm:
	* ima/resources/pt_br.ts:
	* ima/resources/de.qm:
	* ima/resources/fi.qm:
	* ima/resources/ru.ts:
	* ima/resources/pt_br.qm:
	* ima/resources/el.ts:
	* ima/resources/pl.ts:
	* ima/resources/it.ts:
	* ima/resources/ru.qm:
	* ima/resources/sl.ts:
	* ima/resources/zh.ts:
	* ima/resources/el.qm:
	* lib/resources/fr.qm:
	* lib/resources/fi.ts:
	* lib/resources/nn.qm:
	* lib/resources/pl.qm:
	* lib/resources/it.qm:
	* lib/resources/sl.qm:
	* lib/resources/cs.ts:
	* lib/resources/pt_br.ts:
	* lib/resources/es.ts:
	* lib/resources/zh.qm:
	* lib/resources/sk.ts:
	* lib/resources/uk.ts:
	* lib/resources/fi.qm:
	* lib/resources/ru.ts:
	* lib/resources/cs.qm:
	* lib/resources/pt_br.qm:
	* lib/resources/es.qm:
	* lib/resources/el.ts:
	* lib/resources/uk.qm:
	* lib/resources/fr.ts:
	* lib/resources/nn.ts:
	* lib/resources/pl.ts:
	* lib/resources/it.ts:
	* lib/resources/ru.qm:
	* lib/resources/sl.ts:
	* lib/resources/zh.ts:
	* lib/resources/el.qm:
	refreshed localization-files

2008-06-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/x11/x11vnc/inet.c:
	renamed deprecated member-variable

	* lib/src/isd_connection.cpp:
	fixed sleep()-call

	* lib/src/local_system.cpp:
	immediately exit application when encountering messages containing
	timer-threading-problem under win32

2008-05-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/lock_widget.cpp:
	additionally set blank cursor before showing in fullscreen

	* lib/src/system_key_trapper.cpp:
	disable and hide taskbar while being locked

	* lib/src/isd_connection.cpp:
	- if connection failed, sleep for 2 seconds for not reaching
	  max-connection limit of WinXP/SP2 instantly
	- increased timeout when waiting for new connection to 5 seconds

	* ima/src/main_window.cpp:
	more graceful shutdown under win32

	* ica/src/ivs.cpp:
	- forward stdout and stderr or x11vnc to ICA's stdout/stderr
	- pass "-dbg" option to x11vnc

	* configure.in:
	1.0.9-rc2 release

2008-05-30	Andrei Krueger	<anc/at/iki/dot/fi>

	* ica/ica.qrc:
	* ica/resources/el.ts:
	* ica/resources/el.qm:
	* setup/setup.qrc:
	* setup/resources/el.ts:
	* setup/resources/el.qm:
	* lib/italc_core.qrc:
	* lib/resources/el.ts:
	* lib/resources/el.qm:
	* ima/italc.qrc:
	* ima/resources/el.ts:
	* ima/resources/el.qm:
	added Greek localization-files by Giorgos Nikolaidis

2008-05-27	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/client.h:
	* ima/src/classroom_manager.h:
	* ima/src/client.cpp:
	* ima/src/classroom_manager.cpp:
	customized menus - user can hide existing client-menu items
	and add own commands to the menu (added menu-element to personalconfig)

2008-05-27	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/main_window.h:
	* ima/src/kmultitabbar.cpp:
	* ima/src/italc_side_bar.cpp:
	* ima/src/main_window.cpp:
	* ima/src/kmultitabbar.h:
	* ima/src/italc_side_bar.h:
	* ima/src/classroom_manager.cpp:
	made visibility of individual sidebar-buttons configurable via
	context-menu

2008-05-26	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/client.h:
	* ima/src/classroom_manager.h:
	* ima/src/cmd_input_dialog.h:
	* ima/src/client.cpp:
	* ima/src/dialogs.h:
	* ima/src/classroom_manager.cpp:
	- added classes clientAction and clientMenu
	- improved multiselection of clients and implemented
	  execution of client actions on all selected items
	- re-structured contextMenuRequest() of classmanager

	* ima/src/classroom_manager.h:
	* ima/src/classroom_manager.cpp:
	- moved initialization of menus to setupMenus()
	- simplified changeMode()
	- removed m_domTree
	- fixed show/hide menu action

2008-05-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/remote_control_widget.cpp:
	reverted hotfix from 2008-05-20

	* lib/src/vncview.cpp:
	Qt::WA_PaintOnScreen-property seems to have changed in Qt >= 4.4.0 so
	that widgets with this property set can't have overlapping
	sibling-widgets - so do not use this property anymore which fixes
	with toolbar in remote-control view

	* acinclude.m4:
	when cross-compiling, use non-native Qt-development-tools (moc, uic)

2008-05-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main_window.cpp:
	fixed mode-buttons in toolbar which were broken in 1.0.9-rc1

2008-05-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/sk.qm:
	* ica/resources/sk.ts:
	* setup/resources/sk.ts:
	* setup/resources/sk.qm:
	* ima/resources/sk.ts:
	* ima/resources/sk.qm:
	* lib/resources/sk.ts:
	* lib/resources/sk.qm:
	updated Slovakian localization-files by Jan Valuska
	<jvaluska/at/gymzv8rocne/dot/edu/dot/sk>

	* ima/src/remote_control_widget.cpp:
	hotfix for Qt >= 4.4.0 where toolbar didn't appear anymore

	* ima/src/client.cpp:
	fixed tray-menu-actions when main-window is minimized

	* lib/src/isd_connection.cpp:
	increased timeout again

2008-05-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/ru.qm:
	* ica/resources/ru.ts:
	* setup/setup.qrc:
	* setup/resources/ru.ts:
	* setup/resources/ru.qm:
	* ima/italc.qrc:
	* ima/resources/ru.ts:
	* ima/resources/ru.qm:
	* lib/italc_core.qrc:
	* lib/resources/ru.ts:
	* lib/resources/ru.qm:
	added Russian localization-files by Alexander Kazancev

	* ima/resources/uk.ts:
	* ima/resources/uk.qm:
	updated Ukrainian localization-files by Yuri Chornoivan

2008-05-06	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/main.cpp:
	disabled stylesheet with Qt < 4.3

	* ima/resources/fi.ts:
	* ima/resources/fi.qm:
	updated Finnish localization

2008-05-05	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ima/resources/it.qm:
	* ima/resources/it.ts:
	* setup/resources/it.qm:
	* setup/resources/it.ts:
	Updated Italian localization

2008-05-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* build_mingw32:
	build with -fno-strict-aliasing as compiling with MinGW-GCC < 4.3.0
	can lead to miscompilations without this flag

	* ima/src/main_window.cpp:
	added exit()-call in main-window-destructor when building for win32 -
	hack which fixes bug

	* lib/src/isd_connection.cpp:
	increased timeout when reading from socket

	* ima/src/client.cpp:
	changed color of active titlebar

	* ica/src/isd_server.cpp:
	* ima/italc.qrc:
	* ima/src/tool_button.h:
	* ima/src/main_window.h:
	* ima/src/main.cpp:
	* ima/src/classroom_manager.h:
	* ima/src/tool_button.cpp:
	* ima/src/main_window.cpp:
	* ima/src/classroom_manager.cpp:
	* ima/resources/tray-menu-bg.png:
	* lib/include/isd_connection.h:
	* lib/include/isd_base.h:
	* lib/src/isd_connection.cpp:
	added support for controlling master-application via system-tray-icon

	* README.LZO:
	* lib/include/lzodefs.h:
	* lib/include/lzoconf.h:
	* lib/include/minilzo.h:
	* lib/src/minilzo.c:
	updated miniLZO-library to version 2.03

2008-05-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/win32/src/vncEncodeCoRRE.cpp:
	included patch from TightVNC-bug-tracker

2008-04-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/tool_button.h:
	* ima/src/tool_button.cpp:
	fixed tooltip flicker issue

	* ima/dialogs/config.ui:
	* ima/src/config_widget.h:
	* ima/src/config_widget.cpp:
	* ima/src/classroom_manager.cpp:
	* ima/src/tool_button.h:
	* ima/src/tool_button.cpp:
	added option for making toolbar buttons only display icon

	* ima/src/client.h:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	better shutdown on exit - hopefully fixes threading-problems

	* ima/src/main_window.cpp:
	fixed endless loop when initializing keys

2008-04-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/ivs.cpp:
	* ica/src/isd_server.cpp:
	* lib/include/isd_base.h:
	* lib/src/isd_base.cpp:
	* ica/win32/win32vnc.cpp:
	- renamed SocketGetIPBoundTo to SocketGetPeerAddress
	- fixed demo-mode on Linux-clients by not adding host-names twice
	  because of isdForwarder

	* lib/src/local_system.cpp:
	added patch by Ben Dailey <bdailey/at/bhmsd/dot/k12/dot/in/dot/us>
	which adds dates and times to logfiles

2008-04-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	* README:
	made 1.0.8 release

2008-04-21	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ima/resources/it.qm:
	* ima/resources/it.ts:
	* lib/resources/it.ts:
	refreshed Italian localization

2008-04-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/isd_server.cpp:
	cleanups

	* lib/src/isd_connection.cpp:
	do not load key-file from empty filename

	* lib/include/isd_connection.h:
	* lib/src/isd_connection.cpp:
	added gracefulClose() which should be used whereever possible as this
	gracefully closes the connection instead of aborting it - avoids
	SIGPIPE-signals

	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	* ica/src/isd_server.cpp:
	* ica/src/isd_server.h:
	* ima/src/main_window.cpp:
	* lib/include/isd_connection.h:
	* lib/include/isd_base.h:
	* lib/src/isd_connection.cpp:
	rewrote the way, demo-servers are instantiated, started, stopped and
	destroyed - hopefully fixes crashs when using demo-mode heavily

	* lib/src/vncview.cpp:
	update scaled-size as soon as we have a connection - fixes buggy
	demo-mode and remote-control

	* ica/src/isd_server.cpp:
	* ima/dialogs/config.ui:
	* ima/src/config_widget.cpp:
	* ima/src/main_window.h:
	* ima/src/main.cpp:
	* ima/src/config_widget.h:
	* ima/src/client.cpp:
	* ima/src/classroom_manager.cpp:
	* lib/include/isd_connection.h:
	* lib/src/isd_connection.cpp:
	determine demo-master-IP via active master-client connection -
	obsoletes network-interface-configuration in master-application

	* ima/src/cmd_input_dialog.cpp:
	fixed orientation of OK- and cancel-button

	* lib/src/isd_connection.cpp:
	print connection-failure-messages via qDebug so that they normally do
	not appear (closes #1945142)

	* setup/resources/fr.qm:
	* setup/resources/fr.ts:
	* ima/resources/fr.ts:
	* ima/resources/fr.qm:
	* lib/resources/fr.qm:
	* lib/resources/fr.ts:
	updated French localization-files

	* ima/resources/uk.ts:
	* ima/resources/uk.qm:
	updated Ukrainian localization-files

2008-04-17	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/resources/fi.ts:
	* ima/resources/fi.qm:
	updated Finnish localization-files

2008-04-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	*  ima/src/dialogs.cpp:
	set default-focus on hostNameEdit

2008-04-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/Makefile.am:
	* ima/src/tool_bar.h:
	* ima/src/tool_button.h:
	* ima/src/classroom_manager.h:
	* ima/src/tool_bar.cpp:
	* ima/src/tool_button.cpp:
	* ima/src/main_window.cpp:
	* ima/src/classroom_manager.cpp:
	- reintroduced align- and auto-arrange-buttons
	- made visibility of individual toolbar-buttons configurable via
	  context-menu

	* ica/resources/cs.ts:
	* ica/resources/pt_br.ts:
	* ica/resources/fr.ts:
	* ica/resources/es.ts:
	* ica/resources/nn.ts:
	* ica/resources/pl.ts:
	* ica/resources/sl.ts:
	* ica/resources/uk.ts:
	* ica/resources/zh.ts:
	* ica/resources/de.ts:
	* setup/resources/fi.ts:
	* setup/resources/cs.ts:
	* setup/resources/pt_br.ts:
	* setup/resources/uk.ts:
	* setup/resources/fr.ts:
	* setup/resources/nn.ts:
	* setup/resources/pl.ts:
	* setup/resources/it.ts:
	* setup/resources/sl.ts:
	* setup/resources/zh.ts:
	* setup/resources/de.ts:
	* ima/resources/pl.qm:
	* ima/resources/it.qm:
	* ima/resources/sl.qm:
	* ima/resources/cs.ts:
	* ima/resources/es.ts:
	* ima/resources/zh.qm:
	* ima/resources/sk.ts:
	* ima/resources/uk.ts:
	* ima/resources/cs.qm:
	* ima/resources/es.qm:
	* ima/resources/sk.qm:
	* ima/resources/uk.qm:
	* ima/resources/fr.ts:
	* ima/resources/nn.ts:
	* ima/resources/de.ts:
	* ima/resources/fi.ts:
	* ima/resources/fr.qm:
	* ima/resources/nn.qm:
	* ima/resources/pt_br.ts:
	* ima/resources/de.qm:
	* ima/resources/fi.qm:
	* ima/resources/pt_br.qm:
	* ima/resources/pl.ts:
	* ima/resources/it.ts:
	* ima/resources/sl.ts:
	* ima/resources/zh.ts:
	* lib/resources/cs.ts:
	* lib/resources/pt_br.ts:
	* lib/resources/es.ts:
	* lib/resources/uk.ts:
	* lib/resources/fr.ts:
	* lib/resources/nn.ts:
	* lib/resources/pl.ts:
	* lib/resources/it.ts:
	* lib/resources/sl.ts:
	* lib/resources/zh.ts:
	* lib/resources/de.ts:
	refreshed localization-files

2008-04-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/pt_br.ts:
	* setup/resources/pt_br.ts:
	* ima/resources/pt_br.ts:
	* ima/resources/pt_br.qm:
	* lib/resources/pt_br.ts:
	updated Brazilian Portuguese localization-files

	* ica/ica.qrc:
	* ica/resources/sk.qm:
	* ica/resources/sk.ts:
	* setup/setup.qrc:
	* setup/resources/sk.ts:
	* setup/resources/sk.qm:
	* ima/italc.qrc:
	* ima/resources/pl.qm:
	* ima/resources/sk.ts:
	* ima/resources/sk.qm:
	* ima/resources/pl.ts:
	* lib/italc_core.qrc:
	* lib/resources/sk.ts:
	* lib/resources/sk.qm:
	added Slovakian localization-files by Jan Valuska
	<jvaluska/at/gymzv8rocne/dot/edu/dot/sk>

	* ima/src/main.cpp:
	fixed loading of country-specific localizations

2008-04-11	Andrei Krueger	<anc/at/iki/dot/fi>

	* classroom_manager.cpp:
	* classroom_manager.h:
	Fixed removing of child classroom (closes #1936559)
	Improved addClassRoom.

2008-04-11	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/dialogs/client_settings.ui:
	* ima/src/main_window.h:
	* ima/src/dialogs.cpp:
	* ima/src/client.h:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	* ima/src/classroom_manager.cpp:
	Name (nickname) of the client is now optional,
	hostname (ip) is used as default (closes #1886578)

2008-04-03	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ima/resources/it.qm:
	* ima/resources/it.ts:
	updated Italian localization

2008-04-03	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/classroom_manager.cpp:
	drag'n'drop workaround for Qt bug #155700 (Qt < 4.3.4)

2008-04-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/isd_connection.cpp:
	made readFromServer() have a timeout - fixes hung processes/threads on
	blocked connections (closes #1924390)

	* lib/src/ivs_connection.cpp:
	fill screen and scaled screen with black

	* ima/src/client.cpp:
	improved client-thread-destruction

	* ima/src/main_window.cpp:
	improved button-texts

	* ima/src/classroom_manager.cpp:
	* ima/src/classroom_manager.h:
	- removed obsolete functions
	- small optimizations by not using foreach

	* ica/src/system_service.cpp:
	use QString::toLocal8Bit() instead of QString::toUtf8() - hopefully
	fixes #1898070

	* ica/src/local_system_ica.cpp:
	use SHTDN_REASON_MAJOR_OTHER instead of SHTDN_REASON_MAJOR_SYSTEM

	* setup/src/dialogs.cpp:
	- removed obsolete userinfo.exe
	- misc fixes

	* ima/src/italc_side_bar.cpp:
	improved painting

	* setup/src/dialogs.cpp:
	* setup/src/dialogs.h:
	fixed confirmation-dialog when closing setup-window via Alt+F4 or
	close-button (closes #1912695)

2008-04-02	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/classroom_manager.h:
	* ima/src/classroom_manager.cpp:
	drag and drop support for classroom manager (closes #1886602)

	* ica/resources/fi.ts:
	* lib/resources/fi.ts:
	* ima/resources/fi.ts:
	* ima/resources/fi.qm:
	updated Finnish localization-files

2008-03-31	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/include/vncview.h:
	* lib/src/vncview.cpp:
	fixed wrong mapping to framebuffer-coordinates

	* lib/include/local_system.h:
	* lib/src/local_system.cpp:
	* ima/src/main_window.cpp:
	always try to run demo-server on default-port 5858 - allows better
	firewall-configuration in many places

2008-03-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* italc.spec.in:
	applied patch to build properly/better on recent openSUSE releases by  
	Lars Vogdt <lars/at/linux-schulserve/dot/.de>

2008-03-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/pt_br.qm:
	* ica/resources/pt_br.ts:
	* setup/setup.qrc:
	* setup/resources/pt_br.ts:
	* setup/resources/pt_br.qm:
	* ima/italc.qrc:
	* ima/resources/pt_br.ts:
	* ima/resources/pt_br.qm:
	* lib/italc_core.qrc:
	* lib/resources/pt_br.ts:
	* lib/resources/pt_br.qm:
	integrated localization-files for Brazilian Portuguese by
	Thomas Marques <thomasmarques/at/gmx/dot/net>

	* ima/src/side_bar_widget.cpp:
	* ima/src/tool_button.cpp:
	some color-fine-tunings

	* ima/src/client.cpp:
	improved painting of title-bar

2008-03-28	Andrei Krueger	<anc/at/iki/dot/fi>

	* client.cpp:
	client window if highlighted when selected

	* classroom_manager.cpp:
	* classroom_manager.h:
	client window is zoomed when pressed on manager list

2008-03-28	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/classroom_manager.cpp:
	arrange order is based on classroom manager list

2008-03-28	Andrei Krueger	<anc/at/iki/dot/fi>

	* ima/src/kmultitabbar.cpp:
	support for Qt 4.2
	
2008-03-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/vncview.cpp:
	fixed wrong calculation in mapToFramebuffer in case screen is scaled

2007-03-27	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ima/resources/it.ts:
	* lib/resources/it.ts:
	updated Italian localization

2008-03-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* setup/resources/pl.qm:
	* setup/resources/pl.ts:
	* ima/resources/pl.qm:
	* ima/resources/pl.ts:
	updated Polish localization-files by
	Robert Radko <robert/at/radko/dot/pl>

2008-03-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/remote_control_widget.cpp:
	* ima/src/tool_bar.h:
	* ima/src/italc_side_bar.cpp:
	* ima/src/tool_bar.cpp:
	* ima/src/tool_button.cpp:
	* ima/src/main_window.cpp:
	improved appearence of toolbar and tool-buttons

	* lib/include/vncview.h:
	* lib/src/vncview.cpp:
	in scaled view keep aspect ratio of screen and also do not expand
	image if vncView-size > framebuffer-size

2008-03-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	set user-name as tooltip if hostname is displayed in titlebar

	* ima/resources/sidebar.png:
	* ima/italc.qrc:
	* ima/src/italc_side_bar.h:
	* ima/src/side_bar_widget.cpp:
	* ima/src/italc_side_bar.cpp:
	improved appearence of left toolbar

	* ima/src/main_window.h:
	* ima/src/classroom_manager.h:
	* ima/src/main_window.cpp:
	* ima/src/classroom_manager.cpp:
	- moved auto-rearrange and adjust-buttons from toolbar into
	  classroom-menu
	- show classroom-menu as context-menu of workspace-area
	- removed support-workspace and added Direct-Support-button in toolbar
	  instead
	- use spacing=0 for main-layout which removes odd vertical bar between
	  left toolbar and working-space

	* ima/src/kmultitabbar.cpp:
	* ima/src/kmultitabbar.h:
	updated KMultiTabBar from KDE-SVN

	* ima/src/support_widget.cpp:
	* ima/src/support_widget.h:
	* ima/Makefile.am:
	removed support_widget.*

	* ima/src/classroom_manager.h:
	* ima/src/client.cpp:
	* ima/src/classroom_manager.cpp:
	applied patches by Andrei Krueger <anc/at/iki/dot/fi> which displays
	host-name in client-windows if "show user"-name checkbox in
	classroom-manager is not activated

	* lib/src/lock_widget.cpp:
	disable screen-saver while screen is locked (e.g. while fullscreen-demo)

2008-03-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/fi.ts:
	* ica/resources/fi.qm:
	* setup/setup.qrc:
	* setup/resources/fi.ts:
	* setup/resources/fi.qm:
	* ima/italc.qrc:
	* ima/resources/fi.ts:
	* ima/resources/fi.qm:
	* lib/italc_core.qrc:
	* lib/resources/fi.ts:
	* lib/resources/fi.qm:
	added Finnish localization-files by Andrei Krueger <anc/at/iki/dot/fi>

2008-03-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/fast_qimage.cpp:
	disabled MMX-optimized code on x86_64 for the time being as it crashes
	sometimes - needs to be reviewed somewhen later

	applied patches by Andrei Krueger <anc/at/iki/dot/fi>:

	* configure.in:
	* lib/src/vncview.cpp:
	* ica/src/system_service.cpp:
	* ima/src/client.cpp:
	fixed compiler-warnings

	* ima/src/client.h:
	* ima/src/client.cpp:
	added zoom-feature

2008-03-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/fast_qimage.cpp:
	fixed (superfluous) MMX detection on 64-bit-platforms

2008-03-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* README:
	* configure.in:
	made 1.0.7 release

2008-03-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/resources/de.ts:
	updated

	* ima/dialogs/support.ui:
	* ima/resources/remote_control_16.png:
	* ima/resources/remote_control.png:
	new icon and other UI-fixes

	* ica/src/local_system_ica.cpp:
	* ima/dialogs/overview.ui:
	* ima/src/user_list.cpp:
	* ima/src/classroom_manager.h:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	* ima/src/user_list.h:
	* ima/src/classroom_manager.cpp:
	* ima/Makefile.am:
	applied patch by Andrei Krueger <anc/at/iki/dot/fi>:
	- Merged userlist-view into classManager-view. Second column can show
	  IP-address or username (selected by checkbox).  The computer name and
	  IP are added to exported file.
	- Moved actions submenus to the top of popup-menus

2008-03-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/dialogs/client_settings.ui:
	* ima/src/dialogs.cpp:
	* ima/src/client.h:
	* ima/src/main_window.cpp:
	* ima/src/classroom_manager.cpp:
	removed remoteIP-property as it's useless in current implementation

	* ima/src/client.cpp:
	use opaque painting again in order to perform well on older machines
	too

2008-03-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/classroom_manager.cpp:
	fixed logon-feature from classroom-action-menu

	* ima/src/main_window.cpp:
	* lib/src/isd_connection.cpp:
	in case user accidently changed role but no keys exist for this role
	try teacher-role as fallback in order to make iTALC still usable in
	such cases (Closes #1866440)

	* italc.spec.in:
	added missing library

	* setup/resources/pl.qm:
	* setup/resources/qt_pl.qm:
	* setup/resources/pl.ts:
	* ima/resources/pl.qm:
	* ima/resources/qt_pl.qm:
	* ima/resources/pl.ts:
	fixes in Polish localization-files by
	Robert Radko <robert/at/radko/dot/pl>

2008-02-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/local_system_ica.cpp:
	* lib/include/local_system.h:
	* lib/src/local_system.cpp:
	moved powerDown(), reboot() and logoffUser() to local_system_ica.cpp
	and made those functions work when no user is logged on under Linux

	* lib/src/vncview.cpp:
	- fixed mapFromFramebuffer()-method
	- fixed draw-position for cursor in scaled mode

	* ica/src/demo_client.cpp:
	* ima/src/remote_control_widget.cpp:
	* lib/include/vncview.h:
	* lib/src/vncview.cpp:
	made progress-widget optional - do not use when remote-controlling to
	speed things up

	* ima/src/remote_control_widget.cpp:
	scale logo (which is now rendered larger) to fit into toolbar

	* lib/src/ivs_connection.cpp:
	directly use fastQImage::scaleTo(...) rather than
	fastQImage::scaled(...) to avoid creating temporary images

	* lib/src/fast_qimage.cpp:
	check for format() == Format_Invalid and handle properly

	* lib/include/fast_qimage.h:
	* lib/src/fast_qimage.cpp:
	in fastQImage::scaleTo(...) return reference to destination image for
	convenience

2008-02-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/pl.qm:
	* ica/resources/pl.ts:
	* setup/setup.qrc:
	* setup/resources/pl.qm:
	* setup/resources/pl.ts:
	* ima/italc.qrc:
	* ima/resources/pl.qm:
	* ima/resources/pl.ts:
	* lib/italc_core.qrc:
	* lib/resources/pl.qm:
	* lib/resources/pl.ts:
	added Polish localization-files by Robert Radko <robert/at/radko/dot/pl>

	* ima/src/client.cpp:
	less transparency

2008-02-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* setup/resources/page_artwork_welcome.png:
	* ima/italc.qrc:
	* ima/dialogs/client_settings.ui:
	* ima/src/cmd_input_dialog.cpp:
	* ima/data/italc.png:
	* ima/data/italc.xpm:
	* ima/data/italc.ico:
	* ima/resources/demoquality.png:
	* ima/resources/client_settings.png:
	* ima/resources/info_22.png:
	* ima/resources/viewmag.png:
	* ima/resources/no_user.png:
	* ima/resources/adjust_size.png:
	* ima/resources/apply.png:
	* ima/resources/client_add.png:
	* ima/resources/reboot.png:
	* ima/resources/client_remove.png:
	* ima/resources/client_visible.png:
	* ima/resources/clock.png:
	* ima/resources/config.png:
	* ima/resources/host_unreachable.png:
	* ima/resources/classroom_manager_48.png:
	* ima/resources/client-properties.png:
	* ima/resources/ok.png:
	* ima/resources/classroom_add.png:
	* ima/resources/client.png:
	* ima/resources/client_show.png:
	* ima/resources/whatsthis.png:
	* ima/resources/classroom_remove.png:
	* ima/resources/tutorials.png:
	* ima/resources/error.png:
	* ima/resources/info.png:
	* ima/resources/classroom_manager.png:
	* ima/resources/logo.png:
	* ima/resources/classroom_show.png:
	* ima/resources/overview_mode.png:
	* ima/resources/cancel.png:
	* ima/resources/power_off.png:
	* ima/resources/help.png:
	* ima/resources/back.png:
	* ima/resources/locked.png:
	* ima/resources/fullscreen.png:
	* ima/resources/toolbar.png:
	* ima/resources/run.png:
	* ima/resources/config_48.png:
	* ima/resources/quit.png:
	* ima/resources/client_hidden.png:
	* ima/resources/splash.png:
	* lib/src/lock_widget.cpp:
	* lib/resources/icon22.png:
	* lib/resources/locked_bg.png:
	* lib/resources/icon32.png:
	* lib/resources/icon16.png:
	* lib/resources/ok.png:
	* lib/resources/info.png:
	- improved graphics to have one consistent theme and fixed wrong
	  resource-references
	- updated logo

	* lib/src/fast_qimage.cpp:
	added check for valid destination-size

	* ima/src/main_window.h:
	* ima/src/client.h:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	* ima/src/classroom_manager.cpp:
	- wrote own workspace- and workspace-window-concept which looks much
	  cooler, provides a simpler UI and allows to have bigger
	  preview-windows
	- rewrote painting-code for client-windows
	- improved auto-rearranger

2008-02-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	instantly rescale screen after change of window-size

	* lib/include/ivs_connection.h:
	return shallow QImage-copy instead of reference to image which isn't
	protected by read-lock after leaving scaledScreen()-method - fixes
	crashes under rare circumstances where image has been drawn while
	being rescaled

	* lib/include/ivs_connection.h:
	* lib/src/ivs_connection.cpp:
	* lib/include/vncview.h:
	* lib/src/vncview.cpp:
	added support for scaled view to vncView-class

	* lib/src/fast_qimage.cpp:
	replaced old slow image-scaling code with fast new one - if available,
	MMX-optimized version is being used which makes things even faster -
	fixes unresponsive master-workstations when overviewing a lot of
	clients

2008-02-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.6 release

	* lib/Makefile.am:
	* ica/Makefile.am:
	* ima/Makefile.am:
	install libitalc_core.so to /usr/lib/italc/ instead of /usr/lib/

	* lib/src/vncview.cpp:
	make Backtab (i.e. Shift+Tab) work properly in remote-control (closes
	#1889307)

	* README.LZO:
	* lib/include/lzodefs.h:
	* lib/include/lzoconf.h:
	* lib/include/minilzo.h:
	* lib/src/minilzo.c:
	* lib/Makefile.am:
	updated from version 1.08 to 2.02 which fixes random crashes on
	64-bit-platforms

	* ica/src/demo_server.cpp:
	use correct type (lzo_uint) for bytes-lzo-parameter when calling
	lzo1x_1_compress - fixes possible problems on 64-bit-platforms

	* lib/src/local_system.cpp:
	* ica/src/ica_main.cpp:
	* ica/src/ivs.cpp:
	* ica/src/system_service.cpp:
	* ica/src/isd_server.cpp:
	* ima/src/classroom_manager.cpp:
	* ima/src/main_window.cpp:
	* ima/src/user_list.cpp:
	replaced QString::toAscii() with QString::toUtf8()

	* lib/src/messagebox.cpp:
	check for GUI-thread-affinity and only show message in logfile/console
	in case we're not in GUI-thread - fixes various crashes

	* ica/src/isd_server.cpp:
	fixed host-based authentication in such a way that it works for
	ThinClient-environments as well as when ports other than 5900 are used
	for IVS (i.e. -ivsport has been used) - fixes non-working-demo in
	these scenarios

	* lib/src/ivs_connection.cpp:
	when deflating compressed data, handle num_rows = 0, i.e. do not call
	m_screen.copyRect()

	* lib/include/fast_qimage.h:
	in fastQImage::copyRect() handle case when height of rect is zero
	instead of calling QImage::scanLine() with invalid parameter - fixes
	frequent crashes of IMA!

	* ica/src/isd_server.cpp:
	moved initialization of IVS-server to end of isdServer-constructor so
	that correct isdport-parameter is passed to IVS-sub-processes

2008-02-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/include/rect_list.h:
	* lib/src/rect_list.cpp:
	removed

	* lib/include/isd_base.h:
	* lib/include/qt_user_events.h:
	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	- replaced own rectList-implementation by QRegion
	- fixed endianess-problems of demo-mode

	* ima/src/classroom_manager.cpp:
	hide item before pushing client into remove-list

	* lib/include/ivs_connection.h:
	* lib/src/ivs_connection.cpp:
	- moved ivsConnection::s_localDisplayFormat to static
	  __localDisplayFormat-struct
	- fixed broken gradient-filter of tight-encoding
	- fixed missing parentheses in pixel-calculation in tight-encoding
	- when handling jpeg-data, dynamically allocate memory instead of
	  using the stack in a non-standard way
	- fixed color-conversion when handling X-cursor
	- fixed frequent crash of demo-mode by adding additional check in
	  ivsConnection::handleItalc(...) which avoids calling
	  QImage::scanLine() with an invalid parameter and thus raising a
	  Qt-internal assertion (closes #1849671)

	* lib/resources/*.ts:
	* lib/resources/*.qm:
	* ica/resources/*.ts:
	* ica/resources/*.qm:
	* ima/resources/*.ts:
	* ima/resources/*.qm:
	refreshed localization files, included updates of Spanish localization
	by <schoolboy/at/ole/dot/com>

2008-02-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.6-rc1 release

	* ica/x11/x11vnc/xrandr.c:
	* ica/x11/x11vnc/userinput.c:
	* ica/x11/x11vnc/macosx.h:
	* ica/x11/x11vnc/xwrappers.h:
	* ica/x11/x11vnc/keyboard.c:
	* ica/x11/x11vnc/options.h:
	* ica/x11/x11vnc/xrandr.h:
	* ica/x11/x11vnc/userinput.h:
	* ica/x11/x11vnc/xinerama.c:
	* ica/x11/x11vnc/keyboard.h:
	* ica/x11/x11vnc/util.c:
	* ica/x11/x11vnc/user.c:
	* ica/x11/x11vnc/8to24.c:
	* ica/x11/x11vnc/winattr_t.h:
	* ica/x11/x11vnc/connections.c:
	* ica/x11/x11vnc/user.h:
	* ica/x11/x11vnc/macosxCGP.c:
	* ica/x11/x11vnc/avahi.c:
	* ica/x11/x11vnc/xevents.c:
	* ica/x11/x11vnc/avahi.h:
	* ica/x11/x11vnc/xevents.h:
	* ica/x11/x11vnc/macosxCG.c:
	* ica/x11/x11vnc/macosxCG.h:
	* ica/x11/x11vnc/win_utils.c:
	* ica/x11/x11vnc/cursor.c:
	* ica/x11/x11vnc/rates.c:
	* ica/x11/x11vnc/x11vnc_defs.c:
	* ica/x11/x11vnc/cursor.h:
	* ica/x11/x11vnc/gui.c:
	* ica/x11/x11vnc/scan.c:
	* ica/x11/x11vnc/tkx11vnc.h:
	* ica/x11/x11vnc/uinput.c:
	* ica/x11/x11vnc/selection.c:
	* ica/x11/x11vnc/scan.h:
	* ica/x11/x11vnc/unixpw.c:
	* ica/x11/x11vnc/remote.c:
	* ica/x11/x11vnc/allowed_input_t.h:
	* ica/x11/x11vnc/unixpw.h:
	* ica/x11/x11vnc/screen.c:
	* ica/x11/x11vnc/x11vnc.c:
	* ica/x11/x11vnc/pointer.c:
	* ica/x11/x11vnc/screen.h:
	* ica/x11/x11vnc/x11vnc.h:
	* ica/x11/x11vnc/pointer.h:
	* ica/x11/x11vnc/ssltools.h:
	* ica/x11/x11vnc/macosxCGS.c:
	* ica/x11/x11vnc/macosxCGS.h:
	* ica/x11/x11vnc/sslhelper.c:
	* ica/x11/x11vnc/v4l.c:
	* ica/x11/x11vnc/sslhelper.h:
	* ica/x11/x11vnc/xdamage.c:
	* ica/x11/x11vnc/xrecord.c:
	* ica/x11/x11vnc/nox11_funcs.h:
	* ica/x11/x11vnc/solid.c:
	* ica/x11/x11vnc/xdamage.h:
	* ica/x11/x11vnc/pm.c:
	* ica/x11/x11vnc/solid.h:
	* ica/x11/x11vnc/pm.h:
	* ica/x11/x11vnc/cleanup.c:
	* ica/x11/x11vnc/params.h:
	* ica/x11/x11vnc/help.c:
	* ica/x11/x11vnc/macosx.c:
	* ica/x11/x11vnc/options.c:
	* ica/x11/x11vnc/xwrappers.c:
	* ica/x11/x11vnc.c:
	* ica/x11/libvncserver/stats.c:
	* ica/x11/libvncserver/zrle.c:
	* ica/x11/libvncserver/rfbserver.c:
	* ica/x11/libvncserver/cursor.c:
	* ica/x11/libvncserver/httpd.c:
	* ica/x11/libvncserver/main.c:
	* ica/x11/libvncserver/zrleencodetemplate.c:
	* ica/x11/libvncserver/scale.c:
	* ica/Makefile.am:
	* lib/include/rfb/rfb.h:
	* lib/include/rfb/rfbproto.h:
	* lib/include/rfb/rfbclient.h:
	* lib/Makefile.am:
	integrated latest release of x11vnc (0.9.4)

	* ima/italc.1:
	updated manpage

	* ima/src/main.cpp:
	* ima/src/main_window.cpp:
	added -isdport-option in order to connect to a different local ISD
	(e.g. for LTSP-environments)

	* ica/src/local_system_ica.cpp:
	when retrieving user-name, construct QString using QString::fromUtf8()
	which fixes encoding problems in user-names

	* lib/src/local_system.cpp:
	fixed shutdown, reboot and logoff methods for KDE and GNOME

	* lib/src/isd_connection.cpp:
	- fixed broken authentication-type rfbNoAuth
	- include port-number in warning

	* lib/include/types.h:
	made typedefs for 32-bit-integers more specific

	* configure.in:
	cleanups

	* ica/src/ivs.cpp:
	fixed missing pe.pseudoEncoding-NULL-initialization which lead to
	crash on several platforms

	* ica/src/isd_server.cpp:
	fixed too small array-sizes

	* configure.in:
	added -fPIC-flag to make everything compile well on x86_64

2008-01-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main_window.cpp:
	* ima/src/main.cpp:
	fixed "-screen"-parameter for virtual desktops

2008-01-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.5 release

	* README:
	* ima/dialogs/about.ui:
	* ima/resources/splash.png:
	extended copyright-notice from 2007 to 2008

	* lib/include/local_system.h:
	* lib/src/local_system.cpp:
	* setup/src/dialogs.cpp:
	- use Win32-API for determining program-files folder (closes #1846814)
	- use %temp% and %tmp% environment-variables instead of C:\temp if
	  possible (closes #1879580)

	* ima/src/main_window.h:
	* ima/src/main_window.cpp:
	* ima/src/main.cpp:
	added "-screen"-argument which makes it possible to specify which
	screen the remote-control-window should be displayed on

	* ica/ica.rc.in:
	* ima/italc.rc.in:
	fixed FILEVERSION-info-tag

	* ica/Makefile.am:
	made ICA a non-console-application in order to make it usable when
	running as normal application instead of service

	* COPYING:
	* lib/include/dsa_key.h:
	* lib/src/dsa_key.cpp:
	added permission to link iTALC against OpenSSL library

	* ima/resources/uk.qm:
	* ima/resources/uk.qm:
	updated Ukrainian localization

2008-01-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/uk.qm:
	* ica/resources/uk.ts:
	* setup/setup.qrc:
	* setup/resources/uk.qm:
	* setup/resources/uk.ts:
	* ima/italc.qrc:
	* ima/resources/uk.qm:
	* ima/resources/uk.qm:
	* lib/italc_core.qrc:
	* lib/resources/uk.qm:
	* lib/resources/uk.ts:
	added Ukrainian localization-files by Yuri Chornoivan
	<yurchor/at/ukr/dot/net>

2008-01-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/classroom_manager.cpp:
	fixed typo

2007-12-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/cs.qm:
	* ica/resources/cs.ts:
	* setup/setup.qrc:
	* setup/resources/cs.qm:
	* setup/resources/cs.ts:
	* ima/italc.qrc:
	* ima/resources/cs.qm:
	* ima/resources/cs.qm:
	* lib/italc_core.qrc:
	* lib/resources/zh.qm:
	* lib/resources/zh.ts:
	added Czech localization-files by Martin Sin
	<martin/dot/sin/at/zshk/dot/cz>

2007-11-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.4 release

	* ima/src/client.cpp:
	- change to overview-mode before quitting update-thread
	- at exit properly close connection inside update-thread and flush
	  the event-queue before

	* ima/src/main_window.h:
	* ima/src/main_window.cpp:
	stripped out mainWindow-update-thread into separate class (instead of
	nested class) - now the update-thread is event-loop/timer-based which
	allows further fixes of lockups and other optimizations

	* ica/src/demo_client.cpp:
	fixed non-working window-demo under win32 (a certain size has to be
	set for a window before it is shown)

	* lib/src/lock_widget.cpp:
	use QApplication's desktop-widget instead of creating a new one

	* ica/src/ivs.cpp:
	run IVS in separate process again

	* setup/src/dialogs.cpp:
	- add ICA as an exception-application for windows-firewall
	- when user chose to keep keys do not show key-directory-page

	* Makfile.am:
	improved win32-packaging

	* acinclude.m4:
	added more Qt4-search-paths

	* lib/src/vncview.cpp:
	- do not set Qt::WA_PaintOnScreen-attribute on win32 as it causes
	  painting errors (although Qt-docs say that this flag has no effect on
	  win32!) in VNC-views
	- increased framebuffer-update-interval from 20 to 25 ms
	- use QTimer-timeout-signals instead of recursive QTimer-singleshots
	  (fixes lockups on unreachable hosts etc.)

	* lib/src/ivs_connection.cpp:
	re-enabled CopyRect-encoding

	* lib/include/ivs_connection.h:
	re-enabled read-locker for screen-image

	* ima/src/3rdparty/qnetworkinterface_win.cpp:
	* ima/src/3rdparty/qnetworkinterface.h:
	* ima/src/3rdparty/qnetworkinterface_p.h:
	* ima/src/3rdparty/qnetworkinterface.cpp:
	* ima/src/3rdparty/qnetworkinterface_win_p.h
	* ima/src/3rdparty/qnetworkinterface_unix.cpp:
	* ima/src/qnetworkinterface.cpp:
	* ima/src/qnetworkinterface.h:
	removed as not needed anymore

	* lib/include/qt_features.h:
	* ica/src/isd_server.cpp:
	* ima/src/config_widget.cpp:
	* ima/src/client.cpp:
	* setup/src/dialogs.cpp:
	removed support for Qt < 4.2.0

	* build_mingw32:
	added generic-tune parameter (new in GCC 4.2.x)

	* README:
	updated

2007-10-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/zh.qm:
	* ica/resources/zh.ts:
	* setup/setup.qrc:
	* setup/resources/qt_zh.qm:
	* setup/resources/zh.qm:
	* setup/resources/zh.ts:
	* ima/italc.qrc:
	* ima/resources/qt_zh.qm:
	* ima/resources/zh.qm:
	* ima/resources/zh.ts:
	* lib/italc_core.qrc:
	added Chinese localization-files

	* ima/src/classroom_manager.cpp:
	when saving XML-file use toUtf8() instead of toAscii() for solving
	problems with different locales

2007-09-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* setup/src/main.cpp:
	when running auto-setup from UNC-path and specifying relative path to
	XML-file do not fail (because of bug or so in QFile) by making path to
	XML-file absolute

	* setup/src/dialogs.cpp:
	- only run net-command in win32-version
	- when upgrading, only sleep 3 seconds since the systray-bug has been
	  fixed a while ago

	* ica/src/system_service.cpp:
	do not show message about already registered service when running in
	quiet-mode

	* ima/data/italc.in:
	changed from section "Apps" to "Applications"

	* configure.in:
	removed orphaned reference to utils-win32/Makefile.in

2007-09-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/local_system.cpp:
	fixed code which replaced duplicate dir-separators - made things not
	work on network-shares ("\\...") under win32

2007-09-02	Iztok <Iztok/dot/osredkar/at/guest/dot/arnes/dot/si>

	* ica/resources/sl.qm:
	* ica/resources/sl.ts:
	* ima/resources/sl.qm:
	* ima/resources/sl.ts:
	* lib/resources/sl.qm:
	* lib/resources/sl.ts:
	* setup/resources/sl.qm:
	* setup/resources/sl.ts:
	added Slovenian localization-files

2007-08-02	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>
	* ica/resources/it.ts:
	* lib/resources/it.ts:
	updated Italian localization

2007-07-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/win32/src/VNCHooks/SharedData.cpp:
	* ica/src/local_system_ica.cpp:
	* ica/Makefile.am:
	* lib/include/messagebox.h:
	* lib/include/local_system.h:
	* lib/include/isd_base.h:
	* lib/src/inject.cpp:
	more fixes and improvements for compiling (and working!!) with
	GCC 4.2 - has been a mess to find out that now we need
	--enable-auto-image-base flag when linking vnchooks.dll because
	otherwise ICA won't even start under win32

	* ica/src/ica_main.cpp:
	* ica/src/system_service.cpp:
	* ica/Makefile.am:
	* lib/Makefile.am:
	removed some more LUPUS-references

2007-07-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/dsa_key.cpp:
	do not use QFile::handle() with Qt >= 4.3.0 under win32 as it always
	returns -1, use fopen() instead

	* lib/src/local_system.cpp:
	fixed wrong code for line-endings in log files

	* ica/win32/win32vnc.cpp:
	* lib/src/system_key_trapper.cpp:
	* lib/src/isd_connection.cpp:
	re-ordered win32-header-inclusion to fix some compile errors with
	recent GCC versions

	* lib/src/ivs_connection.cpp:
	* lib/include/ivs_connection.h:
	post regionChangedEvent in separate method (i.e. use postEvent instead
	of sendEvent as sendEvent is not thread-safe and produces
	Qt-assertions)

	* lib/src/vncview.cpp:
	* lib/include/vncview.h:
	close connection in destructor vncWorker-class - fixes assertions with
	Qt >= 4.3.0

	* Makefile.am:
	* ica/Makefile.am:
	* ica/src/local_system_ica.cpp:
	moved code from userinfo.cpp here

	* ica/src/ivs.cpp:
	do not run IVS in separate process anymore (to be tested)

	* ica/win32/src/VideoDriver.cpp:
	fixed compiler warning

	* utils-win32/userinfo.cpp:
	fixed uninitialized pointer and improved some casts - fixes
	non-working code when compiling with GCC 4.x

	* configure.in:
	use -fPIC as compiler flag per default

	* lib/Makefile.am:
	added -soname-flag to linker flags for not having shared library
	without SONAME-entry

	* ica/Makefile.am:
	* ima/Makefile.am:
	* setup/Makefile.am:
	* lib/Makefile.am:
	use $(RCC)-variable instead of rcc - fixes some compilation errors on
	several platforms/distributions

	* acinclude.m4:
	- added some more Qt4-search-paths and removed deprecated ones
	- cleaned up a lot all the Qt4-detection code and made ready for
	  64 bit platforms
	- also check for Qt's rcc-utility
	- fixed typos in lrelease and lupdate-detection

2007-07-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/ica_main.cpp:
	include version-info in tooltip of system-tray-icon

	* lib/include/system_key_trapper.h:
	* lib/src/system_key_trapper.cpp:
	* lib/src/lock_widget.cpp:
	win32: disable *all* keys while screen is being locked

2007-07-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* Makefile.svn:
	removed LUPUS-references

	* utils-win32/userinfo.cpp:
	more error-handling

	* lib/src/dsa_key.cpp:
	applied patch from Diego J. Brengi <brengi/at/inti/dot/gov/dot/ar> for
	also accepting keys that were generated using ssh-keygen

2007-06-09	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ima/resources/it.ts:
	* ima/resources/it.qm:
	* lib/resources/it.ts:
	* lib/resources/it.qm:
	updated Italian localization and removed obsolete
	translations

2007-06-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.3 release

	* lib/Makefile.am:
	fixed missing SOURCE-entry for italc_core.dll

	* ica/win32/src/Log.h:
	* ica/win32/src/Log.cpp:
	* lib/include/local_system.h:
	* lib/src/local_system.cpp:
	made log-level of WinVNC being equal to iTALC log-level

	* ica/src/isd_server.cpp:
	use QProcess::startDetached() instead of QProcess::start() for
	launching commands

	* ima/src/classroom_manager.h:
	* ima/src/classroom_manager.cpp:
	* ima/src/client.cpp:
	* ima/src/dialogs.cpp:
	* ima/src/dialogs.h:
	renamed class multiLogonDialog to remoteLogonDialog

	* ima/dialogs/multi_logon.ui:
	* ima/artwork/multilogon*png:
	renamed to "remotelogon*"

2007-06-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main_window.h:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	stop demo on clients after student showed demo

	* ica/src/ica_main.cpp:
	create QSystemTrayIcon-object on stack rather than heap for being
	destroyed properly at exit - fixes problem with non-disappearing icon
	after exit on win32

2007-05-30	Dirk Zoellner <dirkzoellner/at/users/dot/sourceforge/dot/net>

	* ima/src/main_window.cpp:
	* ima/src/main_window.h:
	added fullscreen-functionality via F11

	* ima/src/classroom_manager.cpp:
	- save window-position in personal-config, move to (0,0) if no items
	  in configuration exist
	- set sane default-size for main-window if no according configuration
	  exists
	- in client-treeview display remote IP of client rather local IP

	* ima/src/remote_control_widget.cpp:
	* ima/src/main_window.cpp:
	apply API-changes of toolButton-class

	* ima/src/tool_button.cpp:
	* ima/src/tool_button.h:
	added alternative label functionality

2007-05-26	Dirk Zoellner <dirkzoellner/at/users/dot/sourceforge/dot/net>

	* ima/src/dialog.cpp:
	changed clientsettings-dialog, always focus on name, only for
	convenience purposes

2007-05-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/isd_connection.cpp:
	re-activated old connectToHost-method and added support for
	non-blocking connect etc.

2007-05-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* italc/ica.qrc:
	* lib/italc_core.qrc:
	* setup/ica.qrc:
	added Norwegian localization-files

2007-05-24	Asbj�rn Stokka <asbjorn/dot/stokka/at/lyse/dot/net>

	* ica/resources/nn.ts:
	* ica/resources/nn.qm:
	* ima/resources/nn.ts:
	* ima/resources/nn.qm:
	* lib/resources/nn.ts:
	* lib/resources/nn.qm:
	* setup/resources/nn.ts:
	* setup/resources/nn.qm:
	added Norwegian localization

2007-05-21	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ima/resources/it.ts:
	* ima/resources/it.qm:
	* lib/resources/it.ts:
	* lib/resources/it.qm:
	* setup/resources/it.ts:
	* setup/resources/it.qm:
	updated Italian localization to svn 180 and removed obsolete
	translations

2007-05-20	Dirk Zoellner <dirkzoellner/at/users/dot/sourceforge/dot/net>
	
	* lib/src/local_system.cpp:
	- modified log-system to work with loglevels
	- changed log-directory to /tmp resp. C:\temp

	* setup/src/dialogs.cpp:
	- added key for loglevel: 0 silent, 2 fatal, 4 critical, 6 warning,
	  9 debug, default is 6 
	
2007-05-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/Makefile.am:
	mention DLL as library so that it gets removed on "make clean"

2007-05-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/dialogs/client_settings.ui:
	* ima/src/client.cpp:
	* ima/src/classroom_manager.cpp:
	- fixed/improved some texts/descriptions ("client" -> "computer")
	- added "hide-teacher-computers"-function to context-menu of classrooms
	
	* ima/resources/de.ts:
	* ima/resources/de.qm:
	updated German localization

2007-05-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/fr.ts:
	* ica/resources/fr.qm:
	* ima/resources/fr.ts:
	* ima/resources/fr.qm:
	* lib/resources/fr.ts:
	* lib/resources/fr.qm:
	* setup/resources/fr.ts:
	* setup/resources/fr.qm:
	updated French localization from Guillaume Allegre
	(guillaume/dot/allegre/at/silecs/dot/info)

	* ima/src/remote_control_widget.h:
	* ima/src/remote_control_widget.cpp:
	* ima/src/main_window.h:
	* ima/src/main_window.cpp:
	reload snapshot-list after taking snapshot in remote-control-/
	view-live-mode

	* lib/src/dsa_key.cpp:
	fixed case where ICA would quit on authentication with bad signed data

	* ima/resources/de.ts:
	* ima/resources/de.qm:
	updated German localization

	* ima/src/classroom_manager.cpp:
	* ima/src/classroom_manager.h:
	added "hide teacher-clients"-feature in classroom-menu

	* ima/resources/greenled.png:
	* ima/italc.qrc:
	* ima/src/classroom_manager.cpp:
	highlight current classroom in classroom-menu

	* ima/dialogs/client_settings.ui:
	* ima/src/dialogs.cpp:
	* ima/src/classroom_manager.cpp:
	* ima/src/client.h:
	* ima/src/client.cpp:
	added "type"-property to clients to have another distinction between
	different clients

	* ima/src/classroom_manager.cpp:
	* ima/src/client.cpp:
	* ima/src/client.h:
	more clear identifiers in enums

	* ima/src/classroom_manager.cpp:
	* ica/src/ica_main.cpp:
	cleanups

	* ica/src/local_system_ica.cpp:
	fixed compiling error

2007-05-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/resources/mouse.png:
	removed

	* ima/italc.qrc:
	* ima/resources/no_mouse.png:
	* ima/src/remote_control_widget.cpp:
	better icon for blocked input

	* lib/include/isd_base.h:
	cleanups

	* ica/win32/src/VNCHooks/SharedData.h:
	* ica/win32/src/VNCHooks/SharedData.cpp:
	* ica/win32/src/VNCHooks/VNCHooks.cpp:
	* ica/win32/src/vncServer.cpp:
	* ica/src/local_system_ica.h:
	* ica/src/local_system_ica.cpp:
	* ica/src/isd_server.cpp:
	* ima/src/remote_control_widget.h:
	* ima/src/remote_control_widget.cpp:
	* lib/include/isd_base.h:
	* lib/include/isd_connection.h:
	* lib/src/isd_connection.cpp:
	implemented "lock student"-functionality in remote-control

	* ima/src/main_window.h:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	do not freeze client-update-threads while remote-control is running
	and do nothing instead - fixes several bugs such as non-working
	student-demo etc.

	* ica/src/isd_server.cpp:
	when doing ItalcAuthChallengeViaAuthFile-authentication, flush
	temporary file before requesting response

2007-05-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* Makefile.svn:
	fixed automake-call to ignore warnings

	* setup/Makefile.am:
	link Linux-version against static version of library

	* lib/Makefile.am:
	fixed missing resource-file-object in shared library

	* lib/resources/de.ts:
	* lib/resources/de.qm:
	updated German localization

2007-05-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* Makefile.svn:
	ignore errors (which are not real errors) from automake

	* lib/src/ivs_connection.cpp:
	* ima/src/remote_control_widget.cpp:
	* ima/src/remote_control_widget.h:
	display user-name in toolbar - closes #1711333

	* ima/src/remote_control_widget.cpp:
	* ima/src/remote_control_widget.h:
	added snapshot-functionality in remote-control/view-live mode

	* lib/include/ivs_connection.h:
	* lib/src/ivs_connection.cpp:
	* ima/src/client.cpp:
	moved snapshot-functionality into ivsConnection-class

	* ica/win32/src/vncDesktop.cpp:
	* ica/win32/win32vnc.cpp:
	disabled TightVNC's new terminal-session-support

	* setup/src/dialogs.cpp:
	when copying file add absolute paths to source-file-names
	closes #1704173

2007-05-07	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ima/resources/it.ts:
	* ima/resources/it.qm:
	better Italian translation of supporter-role

2007-05-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/Makefile.am:
	make library being installed at proper place under Linux

2007-05-02	Dirk Zoellner <dirkzoellner/at/users/dot/sourceforge/dot/net>

	* build_mingw32:
	works now without modifying PATH-variable
	
2007-05-02	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ica/resources/it.qm:
	* ima/resources/it.ts:
	* ima/resources/it.qm:
	* lib/resources/it.ts:
	* lib/resources/it.qm:
	* setup/resources/it.ts:
	* setup/resources/it.qm:
	updated Italian localization and removed obsolete translations

2007-05-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/src/local_system.cpp:
	use "halt" rather than "poweroff" for halting Linux-systems

	* ima/src/classroom_manager.cpp:
	sort items in ascending order per default

	* ica/win32/src/vncEncodeRRE.cpp:
	* ica/win32/src/VSocket.cpp:
	* ica/win32/src/vncDesktop.cpp:
	* ica/win32/src/VideoDriver.cpp:
	* ica/win32/src/vncEncoder.cpp:
	* ica/win32/src/vncRegion.cpp:
	* ica/win32/src/vncService.cpp:
	* ica/win32/src/vncKeymap.cpp:
	* ica/win32/src/vncEncodeHexT.cpp:
	* ica/win32/src/vncClient.cpp:
	fixes & cleanups to compile without any warnings at all

	* ica/win32/src/vncServer.h:
	* ica/win32/src/vncServer.cpp:
	* ica/win32/src/vncDesktop.cpp:
	* ica/win32/src/TsSessions.h:
	* ica/win32/src/TsSessions.cpp:
	* ica/win32/src/DynamicFn.cpp:
	* ica/win32/src/DynamicFn.h:
	* ica/win32/src/resource.cpp:
	* ica/win32/win32vnc.cpp:
	* ica/Makefile.am:
	merged changes from TightVNC-upstream

2007-04-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/Makefile.am:
	fixed variable-name

	* ica/ica.1:
	* ima/italc.1:
	updated manpages

2007-04-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/Makefile.am:
	fixed variable-name

	* lib/src/vncview.cpp:
	show local cursor when only viewing

	* ica/src/demo_client.cpp:
	* ima/src/remote_control_widget.cpp:
	* ima/src/remote_control_widget.h:
	* lib/include/system_key_trapper.h:
	* lib/include/vncview.h:
	* lib/src/system_key_trapper.cpp:
	* lib/src/vncview.cpp:
	made view-only-property of vncView-class switchable and added button
	in remote-control-view to be able to switch between "remote control"
	and "view only"

	* ima/src/client.cpp:
	* ima/src/main_window.cpp:
	* ima/src/main_window.h:
	introduced mechanisms for blocking all client-update-threads via a
	wait-condition while remote-control is active for not wasting
	CPU-time - should speed up remote-control a bit

	* ima/src/classroom_manager.cpp:
	* ima/dialogs/config.ui:
	defaulted update-interval from 1 to 2 for not causing too high
	CPU-load

	* ima/src/client.cpp:
	in paintEvent() only redraw requested rect of state-pixmap - possible
	speed-up

	* ima/src/main_window.cpp:
	* ima/src/classroom_manager.h:
	* ima/src/client.cpp:
	* ima/src/client.h:
	cleanups

	* lib/src/system_key_trapper.cpp:
	- set m_enabled in setEnabled()-method
	- decrement s_refCnt before accessing it

	* lib/Makefile.am:
	fixed entry for inject.h

2007-04-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* lib/include/vncview.h:
	* lib/src/vncview.cpp:
	on focus-out-event release keyboard-grab and system-key-trapping and
	get them back at focus-in-event

	* lib/include/system_key_trapper.h:
	* lib/src/system_key_trapper.cpp:
	added possibility to dynamically enable or disable trapping of
	system-keys

	* ima/src/tool_button.cpp:
	draw button more dark if checked/pressed

	* ima/src/remote_control_widget.cpp:
	* ima/src/remote_control_widget.h:
	- reworked texts in toolbar
	- when in window mode, show maximized per default
	- lot of cleanups

	* setup/src/dialogs.cpp:
	fixed installation of italc_core.dll under win32

	* ima/src/remote_control_widget.cpp:
	do not resize to desktop-geometry in window-mode

2007-04-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main_window.cpp:
	* ima/src/main_window.h:
	* ima/src/client.cpp:
	do not reload clients if remote-control is active

	* common/:
	renamed to "lib"

	* common/include/local_system.h:
	* common/include/isd_connection.h:
	* common/include/isd_base.h:
	* common/src/isd_connection.cpp:
	* common/src/local_system.cpp:
	* common/italc_core.qrc:
	* common/resources/es.ts:
	* common/resources/fr.ts:
	* common/resources/it.ts:
	* common/resources/de.ts:
	* ica/src/ica_main.cpp:
	* ica/src/isd_server.cpp:
	* ica/src/isd_server.h:
	changes for new library-infrastructure

	* ica/src/progress_widget.cpp:
	* ica/src/progress_widget.h:
	* ica/src/lzoconf.h:
	* ica/src/vncview.cpp:
	* ica/src/vncview.h:
	* ica/src/minilzo.c:
	* ica/src/minilzo.h:
	* ica/src/system_key_trapper.cpp:
	* ica/src/system_key_trapper.h:
	* ica/src/lock_widget.cpp:
	* ica/src/lock_widget.h:
	moved to common

	* ica/Makefile.am:
	* ima/Makefile.am:
	* setup/Makefile.am:
	* common/Makefile.am:
	* setup/src/main.cpp:
	made all code in common-dir a shared library which all components are
	linked against

	* ima/italc.qrc:
	* ima/src/main.cpp:
	* ima/src/tool_button.h:
	* ima/src/main_window.h:
	* ima/src/tool_button.cpp:
	adapted toolbar from remote-control

	* ima/src/main.cpp:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	* ima/src/support_widget.cpp:
	* ima/src/remote_control_widget.cpp:
	* ima/src/remote_control_widget.h:
	* ima/Makefile.am:
	moved remote-control-feature from ICA to IMA

2007-04-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ica/resources/mouse.png:
	* ica/resources/up.png:
	* ica/src/remote_control_widget.cpp:
	* ica/src/remote_control_widget.h:
	* ica/src/vncview.cpp:
	* ica/src/vncview.h:
	complete redesign of toolbar and buttons

	* common/src/ivs_connection.cpp:
	enqueue cursor-encodings in an earlier stage

	* build_mingw32:
	* ica/Makefile.am:
	* ica/win32/win32vnc.cpp:
	* ica/win32/src/vncDesktop.cpp:
	* ica/win32/src/VNCHooks/VNCHooks.cpp:
	put vnc-hook-stuff into separate DLL-file to make hooks work as
	expected - closes #1698534 and probably fixes some other problems

	* ica/src/vncview.cpp:
	set widget-cursor for vncView to according remote-cursor instead of
	drawing it - speeds thing a bit up

	* ica/src/vncview.h:
	* ica/src/remote_control_widget.cpp:
	correct titlebar caption - closes #1700553

	* ica/win32/src/vncServer.cpp:
	tweaked default-settings a bit

	* ica/win32/src/VideoDriver.h:
	fixed non-ANSI-conform code

	* ica/win32/src/VNCHooks/SharedData.cpp:
	added SHARED-attribute to make all variables reside in a different
	shared segment

2007-04-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/local_system.cpp:
	also print log-messages to stdout

	* ica/src/system_key_trapper.h:
	* ica/src/system_key_trapper.cpp:
	added support for trapping Alt+Space - closes #1704091

	* common/src/local_system.cpp:
	* common/include/local_system.h:
	* ica/src/ica_main.cpp:
	renamed "localSystem::parameterSetting" to "localSystem::parameter"

	* ica/src/ica_main.cpp:
	added "-v" and "--version"-parameter

2007-04-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/dialogs/config.ui:
	* ima/src/config_widget.cpp:
	* ima/src/classroom_manager.h:
	* ima/src/classroom_manager.cpp:
	* ima/src/client.cpp:
	added setting for client-double-click-action

2007-04-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/include/local_system.h:
	* common/src/local_system.cpp:
	* ica/src/ica_main.cpp:
	added possibility to set parameters such as -ivsport and -isdport
	using settings in either /etc/qt4/iTALC Solutions/iTALC.conf (Linux)
	or registry (win32)

	* ima/Makefile.am:
	* ima/data/italc.desktop.in:
	* ima/data/italc.in:
	change paths inside these menu-files accordingly to prefix

	* ima/data/italc.xpm:
	* ima/Makefile.am:
	added XPM-file for being installed into $prefix/share/pixmaps -
	replaces PNG-file which is now installed into $prefix/share/icons

	* italc.spec.in:
	updated everything for being usable with re-developed iTALC

2007-04-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.2 release

	* build_mingw32:
	build with MMX-support per default

	* setup/src/dialogs.h:
	* setup/src/dialogs.cpp:
	* setup/src/main.cpp:
	when doing auto-install do not display information-messages concerning
	service-(un)registration

	* common/src/system_service.cpp:
	* common/include/system_service.h:
	added quiet-option for being able to supress information-messages

2007-04-04	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ica/resources/it.qm:
	* ima/resources/it.ts:
	* ima/resources/it.qm:
	* setup/resources/it.ts:
	* setup/resources/it.qm:
	updated Italian localization and removed obsolete translations

2007-04-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/de.ts:
	* ica/resources/de.qm:
	updated German localization

	* setup/src/dialogs.cpp:
	- fixed typo which made key-import not working - closes #1686845
	- added "net stop icas"-call which might be neccessary when updating
	  old installations

	* ica/src/isd_server.h:
	* ica/src/isd_server.cpp:
	show messages about failed authentication via system-tray-icon

	* ica/src/ica_main.h:
	* ica/src/ica_main.cpp:
	changed several stuff concerning QSystemTray-instantiation

	* ica/src/ica_main.cpp:
	install event-filter in QCoreApplication and handle
	WM_ENDSESSION-messages for not terminating on user-logoff (which is
	the case if there was some desktop-interaction) - closes #1686921

	* common/include/messagebox.h:
	* common/src/messagebox.cpp:
	added static trySysTrayMessage(...)-method for being able to display
	several stuff in system-tray-icon (if available) in an easy way

2007-03-31	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	fixed small bug which made --with-linux not working

2007-03-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/win32/src/WinVNC.cpp:
	* ica/win32/win32vnc.cpp:
	made "-ivsport"-parameter functional under win32, closes #1688198

	* ica/win32/src/vncDesktop.h:
	* ica/win32/src/vncDesktop.cpp:
	* ica/win32/src/vncInstHandler.cpp:
	merged changes from TightVNC-SVN

2007-03-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.1 release

	* ica/resources/de.ts:
	* ica/resources/es.ts:
	* ica/resources/it.ts:
	* ica/resources/fr.ts:
	fixed translation of logon-dialog-accellerators

	* common/include/isd_connection.h:
	* common/src/isd_connection.cpp:
	* ima/src/client.h:
	* ima/src/client.cpp:
	reload username-tooltip regularly

	* common/src/local_system.cpp:
	win32: - create C:\WINDOWS if it does not exist as otherwise there are
	         strange errors with iTALC Master
	       - partly rewrote logon-code

	* ica/win32/src/stdhdrs.cpp:
	only log warnings and more severe messages - fixes security issue
	where faked keysyms were logged, e.g. key-presses of logon-function
	were logged!

2007-03-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.0 release

	* common/src/system_service.cpp:
	- win32: use ChangeServiceConfig2( ... ) instead of calling "sc" which
	  might not exist on target system
	- start service using "net"-command
	- several small fixes

	* common/src/dsa_key.cpp:
	remove existing key-files before saving them

	* common/src/local_system.cpp:
	- disable caps-lock when logging on user under win32
	- use ExitWindowsEx instead of InitiateSystemShutdown - hopefully also
	  shutsdown W2K properly

	* ima/src/client.cpp:
	decreased font-size for messages like "Host not reachable"

	* ima/src/main_window.cpp:
	* common/src/isd_connection.cpp:
	do not create new key-pair if private key could not be loaded and show
	message instead

	* ica/src/ica_main.cpp:
	- run "man ica" if ica is launched with option "-h"
	- fixed bug in argument-processing

	* ima/src/tool_button.cpp:
	always draw button-label with black color

	* ima/resources/de.ts:
	* ima/resources/de.qm:
	* setup/resources/de.ts:
	* setup/resources/de.qm:
	updated German localization and removed obsolete translations

	* setup/dialogs/page_setup_finished.ui:
	* setup/src/dialogs.cpp:
	start service after registering it

	* setup/dialogs/page_security_options.ui:
	* setup/src/dialogs.h:
	* setup/src/dialogs.cpp:
	added possibility to keep all keys during installation

2007-03-20	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ica/resources/it.qm:
	* ima/resources/it.ts:
	* ima/resources/it.qm:
	* setup/resources/it.ts:
	* setup/resources/it.qm:
	updated Italian localization and removed obsolete translations

2007-03-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/de.ts:
	* ica/resources/de.qm:
	* ima/resources/de.ts:
	* ima/resources/de.qm:
	updated German localization

	* ima/dialogs/overview.ui:
	* ima/src/user_list.h:
	* ima/src/main_window.h:
	* ima/src/classroom_manager.h:
	* ima/src/config_widget.cpp:
	* ima/src/user_list.cpp:
	* ima/src/dialogs.cpp:
	* ima/src/snapshot_list.cpp:
	* ima/src/main_window.cpp:
	* ima/src/client.cpp:
	* ima/src/classroom_manager.cpp:
	- renamed "client-manager" to "classroom-manager"
	- renamed all occurences of "client" to "computer"
	- made tree-widget in classroom-manager sortable
	- simplified/improved/corrected help-texts

	* ima/Makefile.am:
	only include files from common/src/ in lupdate-run which are actually
	used by IMA

	* ima/src/client_manager.h:
	* ima/src/client_manager.cpp:
	* ima/resources/client_manager.png:
	* ima/resources/client_manager_48.png:
	* ima/italc.qrc.am:
	* ima/Makefile.am:
	moved to classroom_manager*.*

	* ima/src/main_window.cpp:
	added short-titles for all buttons in action-toolbar

	* ima/resources/logo.png:
	* ima/italc.qrc:
	* ima/dialogs/about.ui:
	added and integrated iTALC-logo

	* ima/src/tool_button.h:
	* ima/src/tool_button.cpp:
	- removed annoying dissolve-effect
	- improved design of tooltips
	- added "short-title" which is displayed on tool-buttons
	- decreased "roundness-factor" of tooltips from 3000 to 2000

	* TODO:
	- cleaned up
	- added roadmap

	* ima/Makefile.am:
	* ima/src/client_manager.cpp:
	removed references to progressInformation-dialog

	* ima/src/progress_information.h:
	* ima/src/progress_information.cpp:
	removed

	* setup/src/dialogs.cpp:
	- removed "wake.exe" from file-list
	- set "back" and "cancel"-button disabled when on last page

	* ima/dialogs/client_settings.ui:
	disabled widgets which are currently unused

	* ica/src/lock_widget.cpp:
	added widget-flag Qt::X11BypassWindowManagerHint again together with
	several fixes making it work flawless

	* ica/src/remote_control_widget.h:
	* ica/src/remote_control_widget.cpp:
	- removed non-fullscreen-view
	- use widget-flag Qt::X11BypassWindowManagerHint to make window always
	  being at top

	* common/src/local_system.cpp:
	more clean (but maybe less compatible) way to logout user under Linux

	* ica/src/ica_main.cpp:
	- more helpfull output on key-creation
	- allow key-creation without creating a QApplication in systemService-
	  class

	* common/src/dsa_key.cpp:
	- when saving private key, make it only readable by user and group
	- when saving public key, make it only read- but not writeable by
	  user, group and others

	* configure.in:
	* ica/Makefile.am:
	* ima/Makefile.am:
	* setup/Makefile.am:
	do complete linking against OpenSSL-libraries

2007-03-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client_manager.cpp:
	* ima/src/config_widget.cpp:
	save correct demo-network-interface even if selected interface has
	more than one addresses

	* ima/src/client_manager.cpp:
	do not provide client-demo in context-menu of classrooms

	* common/include/isd_connection.h:
	cleanups

	* common/src/local_system.cpp:
	new organization-domain

	* ica/Makefile.am:
	* ica/src/system_service.cpp:
	* ica/src/system_service.h:
	moved to common/src/system_service.cpp and
	common/include/system_service.h

	* utils-win32/userinfo.cpp:
	small fixes

2007-03-12	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ica/resources/it.qm:
	* ima/resources/it.ts:
	* ima/resources/it.qm:
	* setup/resources/it.ts:
	* setup/resources/it.qm:
	updated Italian localization

2007-03-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ima/italc.qrc:
	* setup/setup.qrc:
	added French localization-files

	* configure.in:
	added switch for debugging

2007-03-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.qrc:
	* ima/italc.qrc:
	* setup/setup.qrc:
	added Italian localization-files

	* ima/Makefile.am:
	* ima/data/italc.ico
	* ima/data/italc.png
	* ima/data/italc.desktop
	* ima/data/italc:
	added several files for better desktop-integration under Linux

	* ima/Makefile.am:
	* ima/italc.ico:
	moved ima/italc.ico to ima/data/italc.ico

	* INSTALL:
	updated

	* acinclude.m4:
	evaluate $host instead of $build

	* build_mingw32:
	do not pass --build for allowing cross-compile without WINE being
	installed

2007-03-05	Andriano Rino <rino-andr/at/users/dot/sourceforge/dot/net>

	* ica/resources/it.ts:
	* ica/resources/it.qm:
	* ima/resources/it.ts:
	* ima/resources/it.qm:
	* setup/resources/it.ts:
	* setup/resources/it.qm:
	added Italian localization

2007-03-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/lock_widget.cpp:
	removed widget-flag Qt::X11BypassWindowManagerHint as it caused
	problems on some test systems

2007-03-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made RC4 release

	* configure.in:
	- added several stuff from x11vnc-0.8.4/configure.ac
	- print out error if XTEST-extension could not be found under Linux
	- removed "-ansi"-flag
	- added v4l-check again

	* ica/x11/README:
	* ica/win32/README:
	added README's with copyright-notices

	* ica/x11/x11vnc/*
	* ica/x11/x11vnc.c:
	integrated x11vnc 0.8.4

	* acinclude.m4:
	several fixes for less problems with cross-compiling iTALC (thanks to
	Timshell Knoll-Miller)

	* ima/Makefile.am:
	added italc.ico to EXTRA_DIST (thanks to Timshell Knoll-Miller)

	* ima/src/client.cpp:
	close connection to invisible clients (thanks to Timshell Knoll-Miller)

	* ima/src/client_manager.cpp:
	do not show all clients if no personal-config exists (thanks to Timshell
	Knoll-Miller)

	* setup/Makefile.am:
	added setup.ico to EXTRA_DIST (thanks to Timshell Knoll-Miller)

	* setup/src/dialogs.cpp:
	- include <QtXml/QtXml> instead of <Qt/QtXml> - fixes build-problem
	  reported by an user
	- correctly create installation-path in auto-setup-mode
	- export public key properly if it does not exist

	* ica/Makefile.am:
	- several small fixes in build-system
	- added missing entry for a header-file to sources-list
	- removed obsolete files from sources-list

	* ica/x11/rfb/default8x16.h:
	prevent from being included more than once

	* ica/src/local_system.cpp:
	after registering service under win32, change failure-config of it to
	make it being restart each time, it is stopped, e.g. at user-logoff
	(the problem had been reported by some users)

	* ica/win32/src/vncClient.cpp:
	* ica/win32/src/vncServer.h:
	corrected #include-statements

	* ica/win32/vncCORBAConnect.h:
	* ica/win32/Windows.h:
	removed as caused troubles under operating systems that do not have
	case-sensitive filename-handling

	* common/src/local_system.cpp:
	handle additional state of logon-dialog under win32 (thanks to
	Timshell Knoll-Miller)

2007-02-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/fr.ts:
	* ica/resources/fr.qm:
	* ima/resources/fr.ts:
	* ima/resources/fr.qm:
	* setup/resources/fr.ts:
	* setup/resources/fr.qm:
	added French localization from Guillaume Allegre
	(guillaume/dot/allegre/at/silecs/dot/info)

2007-02-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/isd_connection.cpp:
	fixed typo

	* common/src/local_system.cpp:
	* utils-win32/userinfo.cpp:
	rewrote userinfo for being invoked once and continuously printing
	user-name - solves problem with high CPU-load

	* setup/src/dialogs.cpp:
	when invoking installed "ica.exe", pass arguments in separate
	QStringList for not running into problems if installation-path
	contains spaces - fixes several bugs concerning key-creation and
	service-registration

	* ima/src/client_manager.cpp:
	remember state of main-window (maximized/normal)

	* ima/resources/de.ts:
	* ima/resources/de.qm:
	updated German localization

2007-02-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made RC3 release

	* ima/src/main_window.h:
	* ima/src/main_window.cpp:
	- added flag which is set upon exit
	- proper destruction of whole application on window-close
	- do not change global client mode as it's done by clients individually

	* ima/src/client.h:
	* ima/src/client.cpp:
	- made update-thread eventloop-based for better scheduling and less
	  potential problems
	- do not set m_mode to Mode_FullscreenDemo in all demo-modes - fixes
	  bug which made it impossible to change from window- to fullscreen-demo
	  directly
	- everywhere pass m_mainWindow->localISD() as parameter for
	  changeMode(...) to fix potential crashes

	* ica/src/isd_server.cpp:
	do not explicitely delete m_demoServer as this should be done per
	connection - fixes bug which crashed ICA in several cases

	* common/src/local_system.cpp:
	completely rewritten code for running userinfo.exe under win32 as
	QProcess-class is buggy and caused several Windows-processes to hang
	when being used the way done in iTALC - should fix explorer-freezes
	and many more

	* common/src/isd_connection.cpp:
	use QTcpSocket::connect() rather than own methods as they do not time
	out

2007-02-10	Mario Izquierdo <mariodebian/at/gmail/dot/com>

	* ica/resources/es.ts:
	* ica/resources/es.qm:
	* ima/resources/es.ts:
	* ima/resources/es.qm:
	added/updated Spanish localization

2007-02-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/system_key_trapper.cpp:
	disable sticky-keys and according confirmation-dialog while
	system-keys are trapped - fixes issue where users could cheat while
	screen is locked by pressing shift 5 times

2007-02-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	* ima/src/client.h:
	changed title of client-window, now only hostname + classroom are
	displayed - user-name is as usual displayed as tooltip

	* setup/resources/de.qm:
	* setup/resources/de.ts:
	updated German localization

	* setup/src/dialogs.cpp:
	* setup/src/dialogs.h:
	if exported-key already exists, ask whether to overwrite and if so do
	so instead of failure silently

2007-01-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/x11/x11vnc/x11vnc.1:
	removed as accidently added to repo somewhen

	* ima/src/client_manager.cpp:
	when auto-arranging windows, include decoration-width and -height in
	calculation - fixes bug described in
	http://sourceforge.net/forum/message.php?msg_id=4110695

	* ima/src/tool_button.cpp:
	set button-title as text - if toolbar is not completely visible, a
	button on the right opens a menu with actions which did not fit into
	available space - each menu-item is labeled with button-title and if
	it is not set, there're only empty items...

2007-01-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main_window.cpp:
	disable action for showing/hiding toolbar

2007-01-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* setup/src/dialogs.h:
	* setup/src/dialogs.cpp:
	fixed bug which made auto-setup not work if
	iTALC-installation-directory was not existing

2007-01-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* setup/dialogs/page_setup_finished.ui:
	* setup/src/dialogs.h:
	* setup/src/main.cpp:
	* setup/src/dialogs.cpp:
	first initial (incomplete) support for auto-setup

2007-01-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.0.0-rc2 release

	* INSTALL:
	added missing build-requirement

	* Makefile.am:
	added some "rm -f"-calls to clean-target for not leaving files created
	during build-process

	* setup/Makefile.am:
	marked setup as not-installable target

	* ica/Makefile.am:
	* italc/Makefile.am:
	added manpages to EXTRA_DIST-variable

	* common/Makefile.am:
	explicitely list files for EXTRA_DIST instead of using wildcards, thus
	files built by configure are not packaged into distribution anymore

	* Makefile.svn:
	commented out make-call for LUPUS

2007-01-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/ica.rc.in:
	* ima/italc.rc.in:
	* setup/setup.rc.in:
	fixes and copyright-enhancements

	* ica/src/ica_main.cpp:
	* ica/src/ivs.cpp:
	let the user pass more options for x11vnc

	* ica/ica.1:
	* ica/Makefile.am:
	* ima/italc.1:
	* ima/Makefile.am:
	added manpages

2007-01-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* INSTALL:
	rewritten for new version

2007-01-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* README:
	* ima/dialogs/about.ui:
	* ima/resources/splash.png:
	extended copyright-notice from 2006 to 2007

2006-12-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/dsa_key.cpp:
	* common/src/isd_base.cpp:
	* common/src/isd_server.cpp:
	* common/src/ivs_connection.cpp:
	* common/src/local_system.cpp:
	* ica/win32/src/Log.h:
	* ica/win32/src/Log.cpp:
	* ica/win32/src/stdhdrs.cpp:
	* ica/src/demo_server.cpp:
	* ica/src/ica_main.cpp:
	* ica/src/isd_server.cpp:
	* ica/src/system_service.cpp:
	use Qt-debugging-techniques rather than printf & co

	* common/src/local_system.cpp:
	- under win32, handle logoff-events for not stopping service at logoff
	- added qt-message-handler for logging messages into file
	- do not create user-poll-thread when not building ICA

2006-12-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* acinclude.m4:
	added -L$QTDIR/lib/qt4 to linker-flags to make iTALC compile under
	Gentoo

2006-12-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/isd_server.cpp:
	show access-confirmation-dialog in foreground

	* ima/src/client_manager.cpp:
	* ima/src/main_window.cpp:
	save and restore state of main-window

	* ima/src/client_manager.cpp:
	always allow switching to overview-mode in changeGlobalClientMode()

2006-12-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/dialogs/overview.ui:
	unique names for labels which avoids uic-warnings

	* ica/src/isd_server.cpp:
	do not try to make a reverse-lookup on IPs when doing
	host-based-authentication

	* ica/Makefile.am:
	* ica/win32/win32vnc.cpp:
	* ica/win32/vncMenu.h:
	* ica/win32/src/*:
	integrated new sources from TightVNC 1.3.8

	* common/src/isd_connection.cpp:
	- self-written code for connecting to socket as Qt's
	  QAbstractSocket::connectToHost() does lot of extra stuff (ghost
	  connections etc) which also confuses the different servers sometimes
	- when doint authentication, check whether number of sec-types is
	  greater then zero and return (instead of crash) if so

2006-12-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/include/isd_connection.h:
	added NULL-check for m_socket in hasData()-method

2006-12-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 1.0.0.0-rc1 release

	* utils-win32/userinfo.cpp:
	fixed crash when being called as local administrator

	* ima/src/main_window.cpp:
	bugfixes in mainWindow::changeGlobalClientMode( ... )

	* ima/src/client.cpp:
	decreased font-size for embedded information from 20 to 14

	* ima/src/snapshot_list.h:
	* ima/src/snapshot_list.cpp:
	* ima/dialogs/snapshots.ui:
	- completely revised snapshot-workspace using designer
	- when viewing snapshot, use scroll-area
	- preview etc. is now working again

2006-12-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/de.ts:
	* ica/resources/de.qm:
	* ima/resources/de.ts:
	* ima/resources/de.qm:
	* setup/resources/de.ts:
	* setup/resources/de.qm:
	updated German localization

	* ima/src/client.cpp:
	- initialize m_classRoomItem with NULL - makes iTALC work with Qt 4.2.2
	- when constructing snapshot-filename, add directory *after* replacing
	  all occurences of ":" with "-" as this also replaces ":" in "X:\"
	  under win32 which is not really desired...
	- again new implementation of client::clientDemo() - starts
	  fullscreen-demo on all clients except the one showing the demo and
	  also presses fullscreen-mode-button in toolbar using new method in
	  mainWindow

	* ima/src/main_window.cpp:
	- save config-files at exit
	- start update-thread with QThread::LowestPriority as not really
	  important

	* ima/src/client_manager.cpp:
	do not save config-files in doCleanupWork(), instead only do so when
	adding/chaning/removing client(s)

	* ima/src/main_window.h:
	added checkModeButton( ... )

	* utils-win32/userinfo.cpp:
	if retrieval of full user name failed, use account-name instead

	* setup/src/dialogs.cpp:
	create shortcut to iTALC-master in start-menu-root

	* configure.in:
	check for ${prefix} before extending CFLAGS etc. - should fix issue
	with make-problems when using older automake-versions

	* common/src/messagebox.cpp:
	* ica/src/remote_control_widget.cpp:
	* ica/src/demo_client.cpp:
	* ica/src/lock_widget.cpp:
	activate window (bring it to forgeground) using
	localSystem::activateWindow()

	* include/local_system.h:
	* common/src/local_system.cpp:
	- added globalStartmenuDir(), windowsConfigPath(), activateWindow()
	- do not logon user under win32 when explorer.exe-process is found
	- snapshot-dir in "My Documents" under win32
	- personalConfigDir(): query application-data-path using
	  windowsConfigPath()

	* common/src/isd_connection.cpp:
	proper cleanup of sockets in destructor

2006-12-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/local_system.cpp:
	bigger delays between input of user/password/domain under win32

2006-12-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/include/isd_base.h:
	* common/src/isd_connection.cpp:
	* ica/src/isd_server.cpp:
	* ima/src/client.h:
	* ima/src/client.cpp:
	* ima/src/client_manager.cpp:
	compat-fixes for new w32-API

	* setup/src/dialogs.cpp:
	make public-key read-only after installing it

2006-12-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main.cpp:
	- small improvement concerning splash
	- removed inclusion of obsolete header-files

	* ima/dialogs/overview.ui:
	bigger height for about-button

	* common/include/rfb/rfbproto.h:
	* ica/Makefile.am:
	fixes for GCC 4.1 (mingw-x)

2006-12-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client_manager.cpp:
	do not sleep in changeGlobalClientMode( ... ) at all as not neccessary
	any longer

	* common/src/local_system.cpp:
	fixes concerning logonUser( ... )-implementation under win32

	* ima/src/client.h:
	* ima/src/client.cpp:
	demo of a client is now done by starting a fullscreen-demo on all
	other clients and remote-control this client

	* ica/x11/x11vnc/*:
	integrated latest x11vnc-code

2006-11-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* setup/src/dialogs.cpp:
	small fixes concerning progress-dialog

	* common/src/local_system.cpp:
	when saving path to key, replace multiple dir-separators by one
	separator

	* ima/src/user_list.cpp:
	* ima/src/snapshot_list.cpp:
	* ima/src/config_widget.cpp:
	several code-cleanups

	* ica/src/demo_server.cpp:
	fixed some really bad bugs which caused ICA to freeze if
	initialization of even one demo-client failed (demoServerClient::run()
	returned without unlocking m_dataMutex which caused a deadlock if
	slots called from GUI-thread tried to lock the mutex)

	* common/src/local_system.cpp:
	several fixes concerning paths for keys and config-files

	* common/src/isd_connection.cpp:
	fixed typos concerning auto-logon

	* ima/dialogs/multi_logon.ui:
	fixed tab-order

	* ima/src/client_manager.cpp:
	- before writing global/personal config, copy old file to backup and try
	  to copy backup-file back if according file does not exist at startup
	- except for questions, always use own messageBox-class

	* ima/Makefile.am:
	when updating translation, also include files in common src-dir

	* ima/src/main_window.cpp:
	use localSystem::ensurePathExists() in ensureConfigPathExists()

2006-11-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main.cpp:
	do not set mask on splash as not neccessary anymore

	* acinclude.m4:
	* configure.in:
	* ima/Makefile.am:
	* ica/Makefile.am:
	* setup/Makefile.am:
	* ima/setup.rc.in:
	* ica/setup.rc.in:
	* setup/setup.rc.in:
	added standard-resource-files for win32-exe-files which contain an
	icon as well as file-descriptions

	* ima/src/client.cpp:
	do not show context-menu of client-windows at startup

	* setup/src/dialogs.cpp:
	- some bugfixes concerning directory-handling
	- pass window() as parent to dialogs
	- remove file before copying them, otherwise QFile::copy() fails
	- other bugfixes

	* ica/src/system_service.cpp:
	load localization even when only doing some service-stuff

2006-11-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/de.ts:
	* ica/resources/de.qm:
	* ima/resources/de.ts:
	* ima/resources/de.qm:
	updated German localization

	* ima/src/client.h:
	* ima/src/client.cpp:
	- rewrote code for client-demo - should work now
	- added note to "watch only"-action

	* ima/src/client_manager.h:
	* ima/src/main_window.h:
	* ima/src/main_window.cpp:
	clicking buttons such as "lock screens" or "start-demo" when already
	activated will switch back to view-only-mode - probably avoids some
	confused users...

	* ima/src/client_manager.cpp:
	only sleep in changeGlobalClientMode( ... ) when starting demo

	* common/include/local_system.h:
	* common/include/isd_connection.h:
	* common/src/isd_connection.cpp:
	* common/src/local_system.cpp:
	* ica/src/isd_server.cpp:
	* ima/dialogs/config.ui:
	* ima/dialogs/multi_logon.ui:
	* ima/src/config_widget.h:
	* ima/src/config_widget.cpp:
	* ima/src/client.cpp:
	* ima/src/client_manager.cpp:
	* ima/src/dialogs.h:
	* ima/src/dialogs.cpp:
	* ima/src/main.cpp:
	* ima/src/main_window.h:
	better support for multi-logon under win32 by using accellerators
	for each input-field and also allowing to enter domain-name

	* ica/src/vncview.cpp:
	also display toolbar when user moves cursor to top of screen while
	connecting to host

2006-11-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	- replaced toolbar by context-menu
	- before remote-controlling, ensure no demo etc. is running

	* common/src/local_system.cpp:
	fixed size of buffer - fixes segfault when broadcasting WOL-packets

	* ima/src/client_manager.cpp:
	increased sleep between mode-changes of clients from 200ms to 400ms

	* ica/src/vncview.cpp:
	- do not change view-port while not connected
	- completely re-worked threading - makes remote-control etc. more
	  stable

	* common/src/local_system.cpp:
	win32: press Escape before sending Alt+Ctrl+Del to make sure an
	already opened login-dialog is closed

	* common/include/local_system.h:
	* common/src/local_system.cpp:
	save paths to keys in setup

	* setup/dialogs/page_key_dirs.ui:
	improved usability in several ways

	* setup/dialogs/page_security_options.ui:
	disable field for input of key-export-dir etc. when selecting "create
	new keys"

	* setup/dialogs/page_select_components.ui:
	for the time being disable checkboxes for components "LUPUS" and
	"docs"

	* setup/Makefile.am:
	pass -mwindows to linker when creating win32-executable

	* setup/resources/qt*qm:
	added Qt-localizations to setup

	* setup/src/main.cpp:
	call localSystem::initialize() at startup

	* setup/dialogs/page_setup_finished.ui:
	* setup/resources/page_setup_finished.png:
	* setup/src/dialogs.cpp:
	added page at the end of setup to inform user about finished
	installation and so on

2006-11-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/system_key_trapper.cpp:
	under win32 do not disable taskbar as sometimes remote-control-widget
	does not come to front and as all system-keys are trapped there would
	be no possibility to switch to it or even just quit it

	* ica/src/remote_control_widget.cpp:
	close remoteControlWidget when pressing escape while establishing
	connection

	* ima/dialogs/overview.ui:
	* ima/resources/client_manager_48.png:
	* ima/resources/config_48.png:
	* ima/resources/snapshot_48.png:
	* ima/resources/users_48.png:
	* ima/src/overview.h:
	* ima/src/overview.cpp:
	re-made overview-widget using Qt-designer and added some nice icons

	* ima/dialogs/about.ui:
	* ima/dialogs/client_settings.ui:
	* ima/dialogs/config.ui:
	* ima/dialogs/multi_logon.ui:
	* ima/dialogs/support.ui:
	* ima/dialogs/text_message.ui:
	higher value for spacing and margin of several layouts for better
	design and other small fixes

	* ima/resources/ok.png:
	added ok-icon for messagebox

	* common/src/messagebox.cpp:
	better layout-handling better looking message-boxes

	* ima/resources/de.ts:
	* ima/resources/de.qm:
	updated German localization

	* ima/src/main_window.cpp:
	- more clear message if ICA is not running
	- more descriptive balloon-message for overview-button

	* ima/italc.qrc:
	* ima/resources/auto_arrange.png:
	* ima/src/client_manager.cpp:
	* ima/src/main_window.cpp:
	new auto-arrange-feature for client-windows

	* ima/src/client_manager.cpp:
	pass window() as parent for dialogs - fixes bug which made dialogs
	inaccessible under win32

	* ima/resources/qt_*qm:
	updated Qt-localizations

	* ica/src/ica_main.cpp:
	when using default-paths, do not save private key in public-key-file
	and vice versa...

	* ica/src/demo_client.cpp:
	do not call showMaximized() on top-level-widget if in fullscreen-mode

2006-11-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* setup/src/dialogs.h:
	* setup/src/dialogs.cpp:
	- now keys are created/imported/exported
	- show confirm-dialog before cancel setup

	* setup/resources/de.ts:
	* setup/resources/de.qm:
	* setup/setup.qrc:
	added German localization

	* setup/dialogs/page_security_options.ui:
	* setup/dialogs/wizard.ui:
	small fixes

	* common/src/dsa_key.cpp:
	if filename does not contain dir-separators, do not call
	localSystem::ensurePathExists()

	* common/include/local_system.h:
	* common/src/local_system.cpp:
	added option to privateKeyPath() and publicKeyPath() for only
	returning path without filename

	* ica/src/ica_main.cpp:
	* common/src/dsa_key.cpp:
	* common/src/local_system.cpp:
	added "-createkeypair"-option to ICA

2006-11-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	added some more checks for better configuration of miniLZO

2006-11-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main.cpp:
	per default set __role to RoleTeacher

	* ima/dialogs/multi_logon.ui:
	use password-echo-mode for password-input-field

2006-11-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/resources/de.ts:
	updated German localization

	* ica/src/vncview.cpp:
	use Qt::DirectConnection's to make framebufferUpdate()-method being
	executed with vncViewThread-affinity -> GUI of remote-control etc. does
	not hang anymore if host is not reachable or connected via slow link
	for now the last kno wn critical bug is fixed!

	* ica/src/demo_server.cpp:
	- use QTimer-objects with Qt::DirectConnection instead of
	  QTime::singleShot for running connected methods within desired
	  thread - fixes warnings about QSocketNotifier etc.
	- use m_lastCursorPos instead of QCursor::pos() for reading current
	  cursor-position -> no more Xlib-errors

2006-11-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	* ima/src/dialogs.h:
	* ima/src/dialogs.cpp:
	* ima/src/main_window.cpp:
	* ima/src/support_widget.cpp:
	always try to set parent-window for dialogs for not having separate
	taskbar-entries for dialogs

	* common/include/isd_connection.h:
	* common/include/local_system.h:
	* common/src/isd_connection.cpp:
	* common/src/local_system.cpp:
	* ica/src/isd_server.cpp:
	* ima/src/client.cpp:
	* Makefile.am:
	new (built-in) WakeOnLAN-technology

	* common/include/isd_base.h:
	* common/include/isd_connection.h:
	* common/include/local_system.h:
	* common/src/isd_connection.cpp:
	* common/src/local_system.cpp:
	* ica/win32/src/WinVNC.cpp:
	* ica/src/ivs.cpp:
	* ica/src/isd_server.cpp:
	* ica/x11/x11vnc/keyboard.h:
	* ima/Makefile.am:
	* ima/italc.qrc:
	* ima/dialogs/multi_logon.ui:
	* ima/resources/multilogon.png:
	* ima/resources/multilogon_48.png:
	* ima/src/client.h:
	* ima/src/client.cpp:
	* ima/src/client_manager.h:
	* ima/src/client_manager.cpp:
	* ima/src/dialogs.h:
	* ima/src/dialogs.cpp:
	* ima/src/main_window.cpp:
	added multi-user-logon-feature, i.e. the teacher enters the username
	and password which will be used for logging on the according users on
	selected computers by faking neccessary key-events

2006-11-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/de.ts:
	* ima/resources/de.s:
	updated German localization

	* ica/src/vncview.cpp:
	initialize m_viewOffset

	* ica/src/demo_server.cpp:
	do not flush socket-write-buf inside processing loop - fixes critical
	bug in demo-mode

	* common/src/ivs_connection.cpp:
	added write-lock for scaled-image-lock

	* common/src/local_system.cpp:
	changed organization-name and -domain to "iTALC Solutions" and
	"is.org"

2006-11-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/include/ivs_connection.h:
	* common/src/ivs_connection.cpp:
	added read-write-lock for cursor-shape, should eliminate some problems
	with demo-mode etc.

	* ima/src/client.cpp:
	start client-update-threads only with low priority for not withdrawing
	the GUI-thread all CPU-time

	* ica/src/vncview.h:
	* ica/src/vncview.cpp:
	deal with ivsConnection in a separate thread for not blocking GUI if
	lot of data is processed

	* ica/src/remote_control_widget.cpp:
	clean ups and some more checks on pointers

	* common/irc/ivs_connection.cpp:
	if size of updated region is zero, return earlier, so senseless
	screen-scaling is not done

	* common/irc/isd_connection.cpp:
	always test m_socket for being NULL as some functions might be called
	before open() initially was called

	* common/include/ivs_connection.h:
	do not lock image when returning a read-only-reference as it's
	absolutely senseless as the reference could be used somewhen later
	when the actual mutex is locked... should speed up accesses by GUI-
	thread

2006-11-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/Makefile.am:
	* ica/src/system_service.h:
	* ica/src/system_service.cpp:
	* ica/src/service.h:
	* ica/src/service.cpp:
	* ica/src/ica_main.h:
	* ica/src/ica_main.cpp:
	new generic systemService-class

2006-10-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	* Makefile.am:
	* Makefile.svn:
	build-integration of LUPUS which is now an external
	subversion-reference

	* common/src/ivs_connection.cpp:
	fixed several memory-leaks

	* common/include/qt_features.h:
	do not build win32-version with system-tray-support as it causes ICA
	to crash in several cases

	* ica/src/lock_widget.h:
	* ica/src/lock_widget.cpp:
	* ica/src/system_key_trapper.cpp:
	cleanups

2006-10-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/resources/de.ts:
	* ica/resources/de.qm:
	updated German localization

	* common/src/local_system.cpp:
	shutdown and reboot under win32 via InitiateSystemShutdown() instead
	of ExitWindowsEx() - makes shutdown and rebooting under win32 possible
	when running as service

	* common/include/local_system.h:
	* common/src/local_system.cpp:
	* ica/src/inject.cpp:
	moved enablePrivilege()-function to local-system

2006-10-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/inject.cpp:
	made code follow coding-style-guidelines

	* ica/src/demo_server.cpp:
	do not quit if first attempt to connect to local IVS fails, instead
	retry in loop - should make demo-server more stable in general

	* ica/src/isd_server.cpp:
	if master-app terminated unexspected and did not send
	demo-stop-command, stop the demo-server started over according socket
	(for each socket, the property "demoserver" is set when a demo-start-
	command is received over it - the property contains a pointer to the
	demo-server and therefore can be deleted when socket emits
	destroyed()-signal)

	* ica/src/isd_server.cpp:
	* ica/src/ivs.h:
	* ica/src/ivs.cpp:
	Linux/X11-version: pass role to IVS in separate process and restart it
	as soon as role changes

	* ica/src/ica_main.h:
	* ica/src/ica_main.cpp:
	* ica/src/isd_server.h:
	* ica/src/isd_server.cpp:
	under Linux/X11 we can't display the access-dialog within IVS-process
	as no QApplication is being created - instead launch a sub-process
	whose exit-code corresponds to the choice the user made

	* ica/src/ica_main.h:
	* ica/src/ica_main.cpp:
	- made rx11vs a global variable (__rx11vs)
	- made ivs_port a global variable (__ivs_port)

	* common/src/isd_connection.cpp:
	use RoleOther for __role per default

	* common/include/local_system.h:
	* common/src/local_system.cpp:
	new method userRoleName(...)

2006-10-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/local_system.cpp:
	- cleanups and small fixes
	- under Linux/X11 first try to evaluate USER-env-var before using
	  getuid()
	
	* setup/dialogs/page_select_components.ui:
	* setup/src/dialogs.cpp:
	- when installing to according to list of components selected by user
	- progress-dialog during actual installation

	* ima/dialogs/config.ui:
	- corrected "what's this"-texts for some elements
	- items for demo-quality-combobox are now inserted by UIC-code instead
	  of in ima/src/config_widget.cpp

	* common/include/isd_base.h:
	* common/include/isd_connection.h:
	* common/include/italc_rfb_ext.h:
	* common/src/isd_connection.cpp:
	* common/src/local_system.cpp:
	* ica/src/ica_main.cpp:
	* ica/src/isd_server.h:
	* ica/src/isd_server.cpp:
	* ima/dialogs/config.ui:
	* ima/src/config_widget.h:
	* ima/src/config_widget.cpp:
	* ima/src/client_manager.cpp:
	* ima/src/main_window.cpp:
	support for several roles, e.g. teachers, admins, supporters and
	others (students etc.) and therefore different keys for each role

	* ica/Makefile.am:
	* ima/Makefile.am:
	* setup/Makefile.am:
	* acinclude.m4:
	- more clean Qt-detection code
	- separated QtGui-lib to extra variable as it isn't needed by all
	  components

	* ima/resources/low.png:
	* ima/resources/medium.png:
	* ima/resources/high.png:
	* ima/italc.qrc:
	added icons for different demo-quality-types

2006-10-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/include/qt_features.h:
	* setup/src/dialogs.cpp:
	support static functions of QMessageBox in Qt < 4.2

	* ica/src/ica_main.cpp:
	compat-fix for Qt < 4.2

2006-10-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/include/dsa_key.h:
	* common/src/dsa_key.cpp:
	* common/src/isd_connection.cpp:
	renamed "dsaKey::valid()" to "dsaKey::isValid()" for closer match with
	Qt-API-style

	* ica/win32/win32vnc.cpp:
	include assert.h to compile successfully with GCC 4.1

	* ica/src/service.cpp:
	implementation of icaServiceStop() under Linux

	* setup/dialogs/page_key_dirs.ui:
	* setup/dialogs/page_license_agreement.ui:
	* setup/dialogs/page_welcome.ui:
	* setup/dialogs/page_security_options.ui:
	* setup/dialogs/page_install_dir.ui:
	* setup/dialogs/page_select_components.ui:
	* setup/dialogs/wizard.ui:
	* setup/src/dialogs.cpp:
	* setup/src/main.cpp:
	* setup/src/dialogs.h:
	* setup/Makefile.am:
	* setup/setup.qrc::
	* setup/resources/next.png:
	* setup/resources/page_security_options.png:
	* setup/resources/page_artwork_welcome.png:
	* setup/resources/page_license_agreement.png:
	* setup/resources/setup.png:
	* setup/resources/back.png:
	* setup/resources/page_select_components.png:
	* setup/resources/page_install_dir.png:
	* setup/resources/fileopen.png:
	* setup/resources/cancel.png:
	added setup-wizard for easy installation and setup of iTALC in a
	network

	* ica/src/isd_server.cpp:
	do not lock screen if demo-server is running

2006-10-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* acinclude.m4:
	some bugfixes concerning Qt-devel-tool-recognition

	* configure.in:
	added template for WIN32-define as new autoheader otherwise refuses to
	work

	* ica/resources/de.ts:
	* ima/resources/de.ts:
	updated German localization

	* ica/src/vncview.cpp:
	* ica/src/demo_server.cpp:
	cleanups etc.

	* ica/src/isd_server.cpp:
	- never start a demo if a demo-server is running within the same
	  process!
	- if supported, show messages using system-tray-message (balloon)
	  instead of messagebox

	* ica/src/service.h:
	* ica/src/service.cpp:
	* ica/src/ica_main.cpp:
	- support for stopping ICA-service via command-line
	- print out error-message when encountering unknown commandline
	  argument

	* ica/src/service.cpp:
	use QMessageBox instead of native MessageBox()-function for displaying
	service-related messages, allows localization as well

	* ica/ica.qrc:
	* ica/src/ica_main.h:
	* ica/src/ica_main.cpp:
	support for system-tray-icon

	* common/include/rect_list.h:
	* common/src/rect_list.cpp:
	improved and optimized nonOverlappingRects()-algorithm

	* common/include/qt_features.h:
	added file which contains definition of several macros depending on
	Qt-version and target platform

2006-10-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/vncview.cpp:
	only do complete repaints of we indeed changed viewport if mouse is on
	an edge - fixes flickering cursors in demo-mode if client's cursor was
	on an edge

	* common/include/ivs_connection.h:
	* common/src/ivs_connection.cpp:
	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	* ica/src/isd_server.cpp:
	* ima/dialogs/config.ui:
	* ima/src/client_manager.cpp:
	* ima/src/config_widget.h:
	* ima/src/config_widget.cpp:
	* ima/src/main_window.h:
	* ima/src/main.cpp:
	* ima/src/resources/demoquality.png:
	support for several quality-modes for demo-mode

	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	removed debugging-code

	* common/include/qt_user_events.h:
	* common/include/ivs_connection.h:
	* common/src/ivs_connection.cpp:
	* ica/src/demo_server.cpp:
	* ica/src/demo_server.h:
	use rectList instead of QRegion, should fix some X-errors on
	Linux/X11-version

	* common/include/rectlist.h:
	* common/src/rectlist.cpp:
	added lightweight and non-GUI-dependent class "rectList" as replacement
	for QRegion

2006-10-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/main_window.cpp:
	connect power-down-all-button to clientManager::powerDownClients
	instead of clientManager::powerOffClients

	* ica/src/progress_widget.cpp:
	do not use semi-transparent progress-widget as it's horribly slow
	under win32

	* ica/src/service.cpp:
	do not call exit(0) at the end of ServiceStop() - win32-service-manager
	now properly detects if service had been stopped

	* ica/src/ica_main.cpp:
	- do not create QApplication in first invocation of ICAMain() when
	  running as service for not creating two QApplication-objects
	- bugfix: when settings up commandline for ICAMain() in WinMain() make
	  the first item to be the application-path - fixes several problems
	  when building against Qt 4.2.0 and running as service under win32

	* ica/src/remote_control_widget.cpp:
	more usable toolbar and toolbuttons

	* common/src/isd_connection.cpp:
	wait 1000 ms instead of 500 ms for connection to be established

	* ica/win32/src/vncService.cpp:
	in SimulateCtrlAltDelThreadFn(): if switching to winlogon-desktop
	failed, launch taskmgr manually

	* ica/src/system_key_trapper.h:
	* ica/src/system_key_trapper.cpp:
	- trap Alt+F4 under win32
	- detect Alt+Ctrl+Del-presses under win32

	* ica/src/vncview.cpp:
	* ica/src/vncview.h:
	- full support for level3-shift-key (AKA AltGr) and unicode-characters
	  such as euro-sign
	- unpress all modifiers when quitting

	* ima/src/client.cpp:
	- do not lock m_syncMutex when changing client-mode as it isn't
	  neccessary anymore and just causes senseless delays
	- only lock m_queueMutex where it is really needed, improves reaction-
	  time when changing client-mode as well

	* ima/src/client_manager.cpp:
	much smaller delay when changing global client mode in the hope this
	doesn't cause problems with demo-mode

	* ima/src/client.cpp:
	* ima/src/client_manager.cpp:
	set mainWindow::m_clientManager in constructor of clientManager, so
	code called out of it does not crash when using
	mainWindow::m_clientManager

2006-10-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/system_key_trapper.cpp:
	* ica/src/system_key_trapper.h:
	* ica/src/vncview.cpp:
	* ica/src/vncview.h:
	* ica/src/lock_widget.cpp:
	added systemKeyTrapper, a class for trapping system-keys, especially
	under win32

	* ica/src/isd_server.cpp:
	* ica/src/demo_server.cpp:
	* ica/src/demo_server.h:
	start demo-server on given port - bugfix

	* ica/Makefile.am:
	* ica/src/lock_widget.cpp:
	* ica/src/inject.cpp:
	* ica/src/inject.h:
	inject some code into winlogon.exe for safely disabling Secure Attention
	Sequence (SAS=Alt+Ctrl+Del) - much better than old solution which
	simply disabled task-mgr by security-policy

	* Makefile.am:
	* ica/src/ica_main.cpp:
	* utils-win32/HookNTQSI.dll:
	try to hide ICA-process using HookNTQSI.dll

2006-10-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	* ima/src/client_manager.cpp:
	made client-windows resizable

2006-10-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/vncview.h:
	* ica/src/vncview.cpp:
	revised whole key-event-handling, especially handling of modifiers -
	now things like holding <Alt> while switching apps with <Alt>+<Tab> are
	supported, <Control>+<any key> is now recognized (e.g. Ctrl+C), under
	Linux/X11 native translation of X-keycodes is done when compiling with
	Qt >= 4.2.0

	* ica/src/vncview.cpp:
	- do not pass QX11BypassWindowManagerHint to parent-widget as this
	  causes troubles with Qt 4.2.0 and things work without it as well
	- when viewing remote desktop, update every 70ms instead of 80ms

	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	- sleep less between updates of demo-screen (20ms instead of 25ms)
	- do check for cursor-movements with GUI-thread-affinity and send
	  actual changes within thread in which socket to client was created

	* ica/src/ica_main.cpp:
	renamed parameters "-installservice" and "-removeservice" to
	"-registerservice" and "-unregisterservice"

	* common/include/isd_connection.h:
	* ica/src/isd_server.cpp:
	introduced helper-class "isdForwarder" which is used by VNC-server-
	subprocess under Linux/X11 for forwarding all requests received by
	VNC-server to actual ISD-server in parent-process

	* ica/src/ica_main.cpp:
	* ica/src/ivs.cpp:
	* ica/src/ivs.h:
	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	* ica/src/vncview.cpp:
	under Linux/X11 VNC-server is now run in separate process which
	introduces several changes in the whole client-application

	* ica/src/isd_server.h:
	* ica/src/isd_server.cpp:
	* ica/src/ivs.cpp:
	* ica/win32/src/vncClient.cpp:
	removed global authSecTypeItalc()-method and made according function
	in isdServer static

	* common/include/ivs_connection.h:
	* common/src/ivs_connection.cpp:
	* ica/src/vncview.cpp:
	use QImage instead of QPixmap as image-container for cursor-shape
	which sometimes led to X-errors as dealing with QPixmap's in non-GUI-
	threads isn't safe

	* common/src/isd_connection.cpp:
	do not create QTcpSocket as child of isdConnection as isdConnection
	was created in another thread than the socket - fixes some bugs

	* common/include/italc_rfb_ext.h:
	* common/include/ivs_connection.h:
	* common/src/isd_connection.cpp:
	* common/src/ivs_connection.cpp:
	new authentication-mechanism: authentication via a file which is only
	readable by owner and over which challenge is transmitted

	* common/include/isd_base.h:
	* common/include/isd_connection.h:
	* common/include/local_system.h:
	* common/src/isd_connection.cpp:
	* common/src/local_system.cpp:
	* ica/src/isd_server.cpp:
	* ica/src/isd_server.h:
	* ima/src/main_window.cpp:
	port for demo-server is chosen before it is started - makes
	demoserver-port-info-response-message obsolete

2006-10-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/snapshot_list.cpp:
	do not crash when clicking one of the action-buttons while no item is
	selected

2006-10-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	do not check for linux/videodev.h-header as not really needed and
	causes senseless warning

	* Makefile.svn:
	added for auto-creating files just removed from repository (see below)

	* aclocal.m4:
	* config.h.in:
	* config.guess:
	* config.sub:
	* configure:
	* depcomp:
	* install-sh:
	* missing:
	* Makefile.in:
	* common/Makefile.in:
	* ica/Makefile.in:
	* ima/Makefile.in:
	* utils-win32/Makefile.in:
	removed as these files should be generated on target-system

	* ima/src/client.h:
	* ima/src/client.cpp:
	enqueue all actions which need writing to socket and process queue by
	update-thread for using socket indeed only from one thread - supresses
	some warnings and maybe iTALC also runs better

	* ima/src/client_manager.cpp:
	sleep 2 seconds between mode-changes of clients for avoiding troubles
	with demo-server

	* ima/src/main.cpp:
	register quint16 as Qt-metatype at application-startup

	* ica/src/service.cpp:
	misc cleanups

2006-09-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	in updater-thread: only reload client if it is visible

	* ima/src/main.cpp:
	register meta-type QModelIndex

	* ima/src/support_widget.cpp:
	use dynamic_cast for casting layout, as Qt4-MinGW-X is now built with
	rtti-support and therefore doesn't make problems anymore

	* common/src/local_system.cpp:
	before trying to create path, check whether it already exists! makes
	it possible to make snapshots etc.

2006-09-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.h:
	* ima/src/client.cpp:
	* ima/src/main_window.cpp:
	create threads for each client for reloading it instead of doing that
	in one loop in main-window-updater-thread - if one client hangs, it
	doesn't block the others anymore

	* common/include/isd_base.h:
	in socketDevice::socketDevice, pass Unbuffered-flag to open() for
	making iTALC work with Qt 4.2

2006-09-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/resources/de.ts:
	updated German localization

	* ima/src/client_manager.cpp:
	* ima/src/config_widget.h:
	* ima/src/config_widget.cpp:
	* ima/src/tool_button.h:
	* ima/src/tool_button.cpp:
	added option for disabling balloon-tooltips for toolbar-buttons

	* ima/dialogs/config.ui:
	* ima/resources/userinterface.png:
	* ima/italc.qrc:
	* ima/src/config_widget.h:
	* ima/src/config_widget.cpp:
	- re-made config-workspace using ui-designer
	- warn user when selecting local loopback as net-iface

	* ima/dialogs/client_settings.ui:
	corrected tab-order of input-fields

	* common/include/isd_connection.h:
	* common/include/local_system.h:
	* common/src/isd_connection.cpp:
	* common/src/local_system.cpp:
	* ima/src/client.cpp:
	implemented WOL under win32

2006-09-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/local_system.cpp:
	re-activated username-code using external userinfo-tool

	* ica/src/ica_main.h:
	* ica/src/ica_main.cpp:
	* ica/src/service.h:
	* ica/src/service.cpp:
	added service-functionality under win32

2006-09-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/isd_connection.cpp:
	handle ItalcAuthNone

	* ica/src/demo_server.h:
	* ica/src/demo_server.cpp:
	- create client-sockets within according threads (using
	  socket-descriptors) - fixes segfaults and other bugs on SMP-systems
	- do not rely on readyRead()-signal, use QTimer::singleShot instead

	* ica/src/isd_server.cpp:
	when doing host-based auth., pass _user-ptr to socket-dispatcher-call
	for getting peer address - fixes crash of ica when acting as
	demo-master

2006-09-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/x11/libvncserver/auth.c:
	* ica/src/isd_server.cpp:
	* ica/src/ivs.cpp:
	- enabled security-mechanisms
	- fixed bugs in authentication via DSA-keys

	* ica/src/isd_server.cpp:
	- bugfixes in support for host-based auth.

	* common/src/ivs_connection.cpp:
	when running for demo-purposes, use app-internal-auth-mechanism

	* ica/src/demo_server.cpp:
	- first attempts to fix similiar bugs as in ivs.cpp (multithreading)
	- do a host-based auth. for demo-clients instead of app-internal

	* ica/src/ivs.cpp:
	- build command-line-stuff within thread in which VNC-server will run
	  later (fixes segfaults on Linux-SMP-machines)

	* common/src/isd_connection.cpp:
	- initialize privDSAKey before using it when still zero within
	  authAgainstServer()
	- made __role a global variable
	- support for host-based auth.

2006-08-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* Makefile.am:
	added missing entries for copying win32-utils and mingwm10.dll into
	win32-package

2006-08-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/include/main_window.h:
	* ima/src/client.cpp:
	* ima/src/core/client_manager.cpp:
	* ima/src/core/config_widget.cpp:
	* ima/src/core/main.cpp:
	completely revised demo-master-stuff using QNetworkInterface-class

	* ima/src/3rdparty/*:
	* ima/src/qnetworkinterface.cpp:
	* ima/src/qnetworkinterface.h:
	added implementation of QNetworkInterface from recent Qt 4.2-snapshot

	* ima/src/client.cpp:
	- use localSystem::ensurePathExists() before trying to save a snapshot
	- when quitting iTALC, change mode of all clients to overview-mode
	- draw semi-transparent background for toolbar

2006-08-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/ivs_connection.cpp:
	- update software-cursor when remote-controlling
	- disabled XCursor-support as it's buggy under Win32

	* ima/src/client.cpp:
	when re-entering view-only-mode, check do not crash if passed
	connection-pointer is NULL

	* utils-w32/userinfo.cpp:
	added userinfo-utility

	* configure.in:
	* Makefile.am:
	* utils-w32/:
	added directory for several utils used by win32-version of localSystem

	* common/src/local_system.cpp:
	(Win32)
	as there're problems when using functions from netapi32.dll we can't
	use some functions we need for getUserName(), therefore this code has
	been moved to "userinfo"-utility which is called periodically by
	userPollThread - localSystem::currentUser() now returns what the
	userPollThread received when launching userinfo

2006-08-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/client.cpp:
	do not reload user-name each time screen is being updated, instead do
	only if user-name not set so far or is "unknown"

	* common/src/local_system.cpp:
	completely new code for retrieving user-name and his full name of
	logged in user under win

2006-08-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/local_system.cpp:
	correct system-calls for shutting down, rebooting and logging off user

	* ima/src/client.cpp:
	bugfixes

2006-08-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/ivs_connection.cpp:
	fixed some bugs in palette-filter/tight-encoding which were
	responsible for grave graphic-errors in some cases (when using
	mono-palette)

	* common/include/ivs_connection.h:
	* common/src/ivs_connection.cpp:
	added Zlib-encoding

	* common/include/rfb/rfbint.h:
	* common/include/rfb/rfbconfig.h:
	removed as generated by configure

	* ima/resources/splash.png:
	new modern splash-screen

2006-08-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* common/src/ivs_connection.cpp:
	disabled tight- and zlib-encoding for the moment as it causes
	graphic-errors when connecting to Win32-VNC-server

	* ima/src/client.cpp:
	* ima/src/client_manager.cpp:
	fixes with bool-vars

	* ima/src/config_widget.cpp:
	* ima/src/support_widget.cpp:
	do a static_cast instead of dynamic_cast for getting pointer to layout
	of parent - HACK for make app working on Win32/MinGW which has a problem
	with dynamic_cast

	* ima/src/kmultittabbar.cpp:
	commented out some stuff which is does not work on Win32

	* configure.in:
	* ica/x11/:
	* ica/x11/x11vnc.c:
	upgraded to x11vnc 0.8.3

2006-08-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/src/ica_main.cpp:
	* ica/src/isd_server.cpp:
	* common/include/isd_base.cpp:
	* common/src/dsa_key.cpp:
	* common/src/isd_connection.cpp:
	* ima/src/client.cpp:
	* ima/src/client_manager.cpp:
	* ima/src/main.cpp:
	* ima/src/main_window.cpp:
	* ima/src/snapshot_list.cpp:
	* ima/src/snapshot_list.h:
	use new methods from localSystem-namespace for retrieving information
	where to store keys and settings

	* common/include/local_system.h:
	* common/src/local_system.cpp:
	added methods for platform-independent storage of keys and settings:
	  - privateKeyPath()
	  - publicKeyPath()
	  - snapshotDir()
	  - globalConfigPath()
	  - personalConfigDir()
	  - personalConfigPath()
	  - ensurePathExists()

	* ima/src/dialogs.h:
	made derivation from ui-classes private

	* common/include/paths.h:
	removed

	* AUTHORS:
	cleaned up as now the whole code-base is what I worked out

	* ima/src/client_manager.cpp:
	* ima/src/client.cpp:
	- do not include (not existing) dialog-specific header-files, use
	  dialogs.h instead
	- replace msgInputDialog-references with textMessageDialog

	* ima/src/about_dialog.h:
	* ima/src/about_dialog.cpp:
	* ima/src/client_settings_dialog.h:
	* ima/src/client_settings_dialog.cpp:
	* ima/src/msg_input_dialog.h:
	* ima/src/msg_input_dialog.cpp:
	removed

	* ima/src/dialog.cpp:
	* ima/src/dialog.h:
	* ima/dialogs/text_message.ui:
	added text-message-dialog as replacement of msgInputDialog

	* ima/src/support_widget.h:
	* ima/src/support_widget.cpp:
	removed code for dialog

	* ima/src/dialogs.h:
	* ima/src/dialogs.cpp:
	moved code from about_dialog.*, client_settings_dialog.* and
	support_widget.* into these files for having one central include-
	and implementation-file for dialogs

	* Makefile.am:
	added target "win32-pkg" for creating distribution-zip-file of iTALC
	including neccessary DLLs

	* configure.in:
	changed some optimization-flags

2006-07-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ica/Makefile.am:
	added missing files in EXTRA_DIST-section

	* ica/src/lock_widget.cpp:
	pass 0L instead of NULL as third argument to RegSetValueEx(...)-call
	to avoid compiler-warning

	* ica/src/win32/...:
	added missing files

	* common/src/local_system.cpp:
	corrected shutdown-calls under win32 ("-t 0" instead of "-t0")

2006-07-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ima/src/support_widget.h:
	* ima/src/support_widget.cpp:
	* ima/dialogs/support.ui:
	added dialog for supporting on arbitrary clients

	* ima/src/help_widget.cpp:
	* ima/src/help_widget.h:
	moved to support_widget.*
